GNU bug report logs - #49451
Adding package aparte (rust XMPP TUI client)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: southerntofu@HIDDEN; dated Wed, 7 Jul 2021 06:29:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 31 Aug 2021 15:31:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 31 11:31:30 2021
Received: from localhost ([127.0.0.1]:35197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mL5jS-0004q2-00
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 11:31:30 -0400
Received: from mx1.dismail.de ([78.46.223.134]:23741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1mL5jM-0004fq-5n
 for 49451 <at> debbugs.gnu.org; Tue, 31 Aug 2021 11:31:24 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 06eff645
 for <49451 <at> debbugs.gnu.org>; Tue, 31 Aug 2021 17:31:12 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=
 mime-version:date:content-type:content-transfer-encoding:from
 :message-id:subject:to; s=20190914; bh=wYXwflGd0yCta59LZa277WShX
 cD4Lcjdq6zgm4BX2cg=; b=CtGmoKah9MaTho7hC1Aof262Yxy4NSP3YC117+SNK
 LeVWmTV/45sBlRPwRRNjsjMFBaT0knd14KdsPUyFouMJCowKLCXK8VkHPYnbfkN5
 weDNaY0wXOobAIxT2RP3IVQIdl2xm7vkKiK4MLBqh1mZBsxWVrQK4qVjV7TChQFb
 zorLd1mAtd9CBcHCIlRqyTTxnM20IRZibJJqesXqR/ykUvnsHaovABRvhCx5d2mW
 Z701bAvtLU8Q17yg+SIuQbQDpHJamY6XoQ+cpUitvncGIxuKn9Og+yi5Pj9eC8XJ
 EiyEJx7y0hr4xRb8MlO2xFR16CjoJQnGUVCSQtofmcfqw==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 2ea8b5d8
 for <49451 <at> debbugs.gnu.org>; Tue, 31 Aug 2021 17:31:12 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 54ada5b0
 for <49451 <at> debbugs.gnu.org>; Tue, 31 Aug 2021 17:31:12 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 7801a739
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO)
 for <49451 <at> debbugs.gnu.org>; Tue, 31 Aug 2021 17:31:12 +0200 (CEST)
MIME-Version: 1.0
Date: Tue, 31 Aug 2021 15:31:11 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: RainLoop/1.14.0a
From: "jgart" <jgart@HIDDEN>
Message-ID: <f261f3f226c45701368f8b2be77874c5@HIDDEN>
Subject: aparte on GuixRUS
To: 49451 <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,=0A=0AI just wanted to mention that aparte is available as a pre-relea=
se package on GuixRUS channel until 49451 gets resolved:=0A=0Ahttps://git=
.sr.ht/~whereiseveryone/guixrus/commit/33971b21d69e3eb903c05cbfe42412e7f0=
a1f899=0A=0Aaparte currently builds and runs successfully on GuixRUS.=0A=
=0AWe'll continue to fix Xinglu's suggestions on GuixRUS until they are a=
ll ready and then we'll send a patch here with the fixes for further revi=
ew.=0A=0Aall best,=0A=0A _________________________________________ =0A/ 3=
B1D 7F19 E36B B60C 0F5B 2CA9 A52A A2B4 \=0A\ 77B6 DD35                   =
            /=0A ----------------------------------------- =0A        \  =
 ^__^=0A         \  (oo)\_______=0A            (__)\       )\/\=0A       =
         ||----w |=0A                ||     ||




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:42:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:42:53 2021
Received: from localhost ([127.0.0.1]:35727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8vk-0002UW-PG
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:42:52 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36948
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8vh-0002UG-UF
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:42:50 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627814561;
 bh=HCZBLQ7TNupWp6JaqwGIcmO+LHUm6cGU8+R/Azb0+C0=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=aa16rA2DJga+11pPzC1k8ucMlZfLaQ258DYS8INeAHOc72VUjpr475On2Nq94aaS5
 blMoYPNdPVOLQ0vtkC+2SyKJCzg1S43w9Q7aD7vyxu3swlvFw74wUuhtOXELk8Z3/X
 tybv1G4MOjTYIHOA/JbtW8oZoDpwMtzFKEygrK2c=
To: southerntofu@HIDDEN, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] Adding package aparte (rust XMPP TUI client)
In-Reply-To: <YOS6GMXJLemJzwIQ@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN>
Date: Sun, 01 Aug 2021 12:42:40 +0200
Message-ID: <87sfzt8mzj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Tue, Jul 06 2021, southerntofu--- via Guix-patches via
 wrote: > Hello, > > In this threads I will submit patches to include package
 aparte, from > 0.2.0 release on Github. There's a few missing crates that
 will be > added to gnu/packages/crates-io.scm, and the a [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Tue, Jul 06 2021, southerntofu--- via Guix-patches via
   wrote: > Hello, > > In this threads I will submit patches to include package
    aparte, from > 0.2.0 release on Github. There's a few missing crates that
    will be > added to gnu/packages/crates-io.scm, and the a [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Tue, Jul 06 2021, southerntofu--- via Guix-patches via wrote:

> Hello,
>
> In this threads I will submit patches to include package aparte, from
> 0.2.0 release on Github. There's a few missing crates that will be
> added to gnu/packages/crates-io.scm, and the aparte package is added
> to gnu/packages/messaging.scm as suggested in the #guix IRC channel.
>
> This is my first package for guix so don't hesitate to tell me if i'm
> doing something wrong. Also, i noticed some packages in crates-io.scm
> are not ordered alphabetically. I tried not to mess the order even
> more but did not reorder packages which were already misordered.

I just reviewed the series; I don=E2=80=99t know much about Rust in Guix, so
maybe I have missed some Rust-specific things.  A tip is to run =E2=80=98gu=
ix
lint=E2=80=99 on each package; this will catch some of the common mistakes
people make. :)

I haven=E2=80=99t been able to build the =E2=80=98aparte=E2=80=99 package b=
ecause I am having
trouble applying patch [07/20].  Could you check if you can apply the
patches on top of the =E2=80=98master=E2=80=99 branch?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGeqAVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5/bgP/iDLHCMnjDLYWAc/gieVOYu+pZVG
XHsVvgGiBJ7wsPWKfaJ7tM1yTGqBkx9O5w3tDJnPBI2bDYU4dorUPvWPMXZF7jYL
peN8/fDud5N2rX+in6ZRRQ6C4uFv1fcUrt+gA6pFy9tJSr5Fedh/24ZaJyV7OZqs
NOADrFEKp5Ch4GcjCU+WWZ5oUc1BQi4kDOhkq6SDE0pvbOhz3Yw6oc/Vr+RJYWm9
FoS+Qf86u7Bayy1zYCuLVuOx9CylrXmz2W1SzMiJfDeDgHbiGh7YTPOcH3UVq0hX
OtQIcWXu1N3ibTqXl6/PIWKC+XYBioUMIwTW99kT5R57E+YM0AYtUU8UVC/GLKyM
cavdE1SoqMPlTB2d6e1njk/qcF+BclR5FwUsptDn4v6EvoCsIppZao0mLADosMAs
jCdKMm6eF7GbjKK8YTAKMQDMi3bZNN7m1ny/JghGW+vlV6jhykzg0DbpzaeK28Ez
2hu735uQuuY2GoFVa7xmAmd1BQzX33EHevFfBZ/I7Ot+pa4piX4+cypy+EixoWck
iMQoHeefSynK8tq8pR4MCRghddbsqS+G3Soex192OFOfhsneGiAuo6IRbRgQHxRA
/9wp3/uBsKQpLSGKJz92OAmlLLCiGLcwzHzs7bd5BitMNwShGNq/5CH5A+RvI7eC
K41BkPWNtrPxI8nR
=Uzn7
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:29:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:29:28 2021
Received: from localhost ([127.0.0.1]:35705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8im-0008Qj-Jh
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:29:28 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36618
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8ik-0008QT-DG
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:29:26 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813758;
 bh=BIGNWRqfDnutErrCBRGLKbPu0B5u3kWi4Yk2w49BzyQ=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Lp46XLxVpCNyoe5y/3hLrDRZ9nzv64KdpETy9cm4FJWhDeJNII4kXm4iBoctDrut+
 pPDkLFfBxMi16DgnGjJOoHLObWhiFytihtce1ypPzmthbSfaQ1pMJUf4JTIZyBWZ2F
 u7uInF3c+vyb8smN7/8CPNPcCF+Vz1hh9qk0DGOA=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 19/20] gnu: Add aparte
In-Reply-To: <YOtjRnX66Ki9WSRu@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtjRnX66Ki9WSRu@HIDDEN>
Date: Sun, 01 Aug 2021 12:29:18 +0200
Message-ID: <87wnp58nlt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/messaging.scm | 59 ++++++++++++++++++++++++++++++++++++++
 > 1 file changed, 59 insertions(+) > > diff --git a/gnu/packages/messaging.scm
 b/gnu/packages/messaging.scm > index 22e1c [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/messaging.scm | 59 ++++++++++++++++++++++++++++++++++++++
    > 1 file changed, 59 insertions(+) > > diff --git a/gnu/packages/messaging.scm
    b/gnu/packages/messaging.scm > index 22e1c [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/messaging.scm | 59 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 59 insertions(+)
>
> diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
> index 22e1c370aa..6bfee2e15e 100644
> --- a/gnu/packages/messaging.scm
> +++ b/gnu/packages/messaging.scm
> @@ -60,6 +60,7 @@
>    #:use-module (gnu packages check)
>    #:use-module (gnu packages compression)
>    #:use-module (gnu packages cpp)
> +  #:use-module (gnu packages crates-io)
>    #:use-module (gnu packages crypto)
>    #:use-module (gnu packages curl)
>    #:use-module (gnu packages cyrus-sasl)
> @@ -123,6 +124,7 @@
>    #:use-module (gnu packages xiph)
>    #:use-module (gnu packages xml)
>    #:use-module (gnu packages xorg)
> +  #:use-module (guix build-system cargo)
>    #:use-module (guix build-system cmake)
>    #:use-module (guix build-system go)
>    #:use-module (guix build-system glib-or-gtk)
> @@ -3016,4 +3018,61 @@ API.  Mattermost is not required.")
>      (home-page "https://github.com/42wim/matterbridge")
>      (license license:asl2.0)))
>=20=20
> +(define-public aparte
> +  (package
> +    (name "aparte")
> +    (version "0.2.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "aparte" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "0qzg1052whjhcsz8n3s77kb4zvp7k0na3hikzkf5qa3z4g0hyvrp"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:cargo-inputs
> +        (("rust-backtrace" ,rust-backtrace-0.3)
> +         ("rust-bytes" ,rust-bytes-0.5)
> +         ("rust-chrono" ,rust-chrono-0.4)
> +         ("rust-derive-error" ,rust-derive-error-0.0.4)
> +         ("rust-dirs" ,rust-dirs-2)
> +         ("rust-flexi-logger" ,rust-flexi-logger-0.15)
> +         ("rust-futures" ,rust-futures-0.3)
> +         ("rust-fuzzy-matcher" ,rust-fuzzy-matcher-0.3)
> +         ("rust-hsluv" ,rust-hsluv-0.1)
> +         ("rust-linked-hash-map"
> +          ,rust-linked-hash-map-0.5)
> +         ("rust-linked-hash-set"
> +          ,rust-linked-hash-set-0.1)
> +         ("rust-log" ,rust-log-0.4)
> +         ("rust-rand" ,rust-rand-0.8)
> +         ("rust-rpassword" ,rust-rpassword-3)
> +         ("rust-rust-crypto" ,rust-rust-crypto-0.2)
> +         ("rust-serde" ,rust-serde-1)
> +         ("rust-termion" ,rust-termion-1)
> +         ("rust-textwrap" ,rust-textwrap-0.12)
> +         ("rust-tokio" ,rust-tokio-1)
> +         ("rust-tokio-xmpp" ,rust-tokio-xmpp-3)
> +         ("rust-toml" ,rust-toml-0.5)
> +         ("rust-unicode-segmentation"
> +          ,rust-unicode-segmentation-1)
> +         ("rust-uuid" ,rust-uuid-0.7)
> +         ("rust-xmpp-parsers" ,rust-xmpp-parsers-0.18))
> +        #:cargo-development-inputs
> +        (("rust-mockall" ,rust-mockall-0.9))))
> +    (native-inputs
> +     `(("pkg-config" ,pkg-config)))
> +    (inputs
> +     `(("openssl" ,openssl)))
> +    (home-page
> +      "https://github.com/paulfariello/aparte")
> +    (synopsis
> +      "Simple XMPP console client written in Rust and inspired by Profan=
ity")
> +    (description
> +      "Simple XMPP console client written in Rust and inspired by Profan=
ity")

Full sentence, and missing period.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGd34VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5eFMP/1FSqrMTNPSzjgD6884vKHLENg/V
IhTubYayBXH7lhcw+Y1yRKeJn+nOTQuwwUxyAvy48OHvrb3aFGRleZ1yKwGSwrxo
Fp9wWkobgWY/gFk79699MKZrUmsSfOxmxUl74OmSv1gAdygkS5LPEsyPJKxcpSL8
1esc/txJZg6YhvPP8BL2i3+hrPIVeI9WmoliUV6ygNqU4URmkjugzsPaBmHbiLPm
m2e6uWioZ+FBD+fYPRscolZzUJgoOBO4UIMrDOlvplBI579mws5p6pa/drZOQY1V
DHTts73QBjWEA7eV1okdgpu4un6WL5TY+l5uRdAWO+8E3lqX2m9sbzQwdLrbcHfB
E6Iw8GzazkIdapNkjm/4KpLrZPhAHweHgXNMm/lk0TftOw7O4JkJsLKF5OAMQQUe
E+fBIx49la/QRxEVDqjm9w/m3Xnc8MsLZGufrwGDqMJMc3F4jRddZreEnf6AjIER
UNNSNCc+7jouy5r891cYfytpcBYrEV3J4fZKrZiUHtWQoBuwFzWr8KbehzWsfnlc
YQRqSAeYjQlpor1h+1jELLXLAm5j1bQkC1S5LfT+UwLEnK1fmWH2RD5AaMh9sztz
vj6j7LGM/09MKOLN5o7ClnSOcLc1Y9aippesm6Vpx+khX1eTR0q9ib7HKiBYND/U
l9zUnNtil+0/aEsJ
=Zkhe
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:28:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:28:37 2021
Received: from localhost ([127.0.0.1]:35701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8hx-0008PD-BV
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:28:37 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36590
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8hv-0008Nw-QZ
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:28:36 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813708;
 bh=xIEdU1I8xVYJqf7CU1MCO0w2NfhVFiGSgAij6jHl79M=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=KYI8lU1qXsLblRJaf9chG92HMh/iI/bF6FWkAPnE1dZPu6FV0JRfRmPhLYSypkaME
 ylHVHwAeVw+yfnGDa1kXXKDXzlpZRo/Yhy2AVxJogvfpZPM2DEIq2GGiZ6pXilMD3z
 Mn5NEKIA3fjOx+2SfR18g7zls8Uf5CHwalgMs+fc=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 20/20] Run indent-code.el on the packages i
 added
In-Reply-To: <YOtjDK6kGsLM9r1Z@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtjDK6kGsLM9r1Z@HIDDEN>
Date: Sun, 01 Aug 2021 12:28:27 +0200
Message-ID: <87zgu18nn8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 574 ++++++++++++++++++ >
 gnu/packages/messaging.scm
 | 82 +++--- > 2 files changed, 328 insertions(+), 328 deletions(-) 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 574 ++++++++++++++++++ > gnu/packages/messaging.scm
    | 82 +++--- > 2 files changed, 328 insertions(+), 328 deletions(-) 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 574 ++++++++++++++++++-------------------
>  gnu/packages/messaging.scm |  82 +++---
>  2 files changed, 328 insertions(+), 328 deletions(-)

etc/indent-code.el should be run on each individual package before you
create one or more patches.  For example

  Write definition of package A
  Run etc/indent-code.el on package A
  Create the patch

or if there are multiple packages

  Write definition of package A
  Write definition of package B
  Run etc/indent-code.el on package A and B
  Create patches for package A and B

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGd0sVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5IEUP/0eGtY6p/CT3LZuGoUH6w5C6zBVX
L9asrwZaXtFNstFGro48mopCvf+sJ7Brji4FZVLFIAO7Uy5XHIsDArcJnLiJBB8x
p30x45rCvsivZJJsQ4IURu/mceFBVBITh/XBS7H9PVRPwQTUDWrO1N9fADCOB+4X
A9wQs2DiDQ7UCbnJw2O5q7ufmrPVSQh5lpzS7avhhQ98AxjWksYyy30nmQa9fsF8
E45MgtEZtsX1bZS33JDi5V3UKqMKrDQ7G5c5i31IdS+ejScSICLRLV56W/NmURwH
u+PBeL57W6mzZCcsZnGZS8M2dg/3+st8ahkuXKf6cJ+00/5LC2CPQpjfLf5gpwvD
5IjBaFEbshHKCpWJ7Y4JS2iWzz2OAkVpW1Ae6GSdrNZ11VubHwHmUWYn35EwjBUY
IsmPyCsF2oWZD7QM4UY3UQOMytVj/57KDcN0gEdwb1x4QR3AyWh60sgwRtDqoGSi
vfcKBg+TfHz3sXC7o2aYAoqWQebc2BAE8meuxZjgqV69h5zopINVhOg4gN5hSzS3
h+glYOyz8fa5WPOkedG8W8zc9zE4coPrf568jQRyEhfHsHR//ZQjB52jXg00DZrH
3rFTpJA6SFT4C0GL4XQy5PP72O+JURlwAETOkYnmSR4l3qHxb/ZYhZP+y/WEna+z
8ZSUZruaOgsTMSkQ
=mRVw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:24:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:24:43 2021
Received: from localhost ([127.0.0.1]:35642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8eA-00084e-RN
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:24:43 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36492
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8e8-00083X-R8
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:24:41 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813473;
 bh=hYdWXEIQhWxKqjjKW8Nta31dTlbtYN5nQGaM9N9eU2I=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=rFCfIX4I9znscLzA7TU2q4j45OspokImqUApkwNg8eBxOUdKW5bWTMj+EepUeD4/t
 Q8Sqxz4yWLfHPShnVpasaaSB+gbLvMMxleSNxHy++LN+Uz9NyVYPTzMnJrKOvq7Ce0
 RoqZtogvuVdnOZB7zmzHD+iUEVvXxzMILUpjjts4=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 18/20] gnu: Add rust-tokio-xmpp
In-Reply-To: <YOtjBt84J5jZObYZ@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtjBt84J5jZObYZ@HIDDEN>
Date: Sun, 01 Aug 2021 12:24:32 +0200
Message-ID: <8735rta2e7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 43 ++++++++++++++++++++++++++++++++++++++
 > 1 file changed, 43 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index 9bd91 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 43 ++++++++++++++++++++++++++++++++++++++
    > 1 file changed, 43 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index 9bd91 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 43 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 43 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 9bd91b0b7d..f85b096547 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -49637,6 +49637,49 @@ stream-based WebSocket implementation.")
>          ("rust-tokio" ,rust-tokio-0.2)
>          ("rust-tokio-test" ,rust-tokio-test-0.2))))))
>=20=20
> +(define-public rust-tokio-xmpp-3
> +  (package
> +    (name "rust-tokio-xmpp")
> +    (version "3.0.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "tokio-xmpp" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "0f8s4gsv9zs6rlkc40jjglcm0prq10ypxszrwvpxhjbygbxrzb2n"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-bytes" ,rust-bytes-1)
> +         ("rust-futures" ,rust-futures-0.3)
> +         ("rust-idna" ,rust-idna-0.2)
> +         ("rust-log" ,rust-log-0.4)
> +         ("rust-native-tls" ,rust-native-tls-0.2)
> +         ("rust-rustc-version" ,rust-rustc-version-0.3)
> +         ("rust-sasl" ,rust-sasl-0.5)
> +         ("rust-tokio" ,rust-tokio-1)
> +         ("rust-tokio-native-tls"
> +          ,rust-tokio-native-tls-0.3)
> +         ("rust-tokio-stream" ,rust-tokio-stream-0.1)
> +         ("rust-tokio-util" ,rust-tokio-util-0.6)
> +         ("rust-trust-dns-proto"
> +          ,rust-trust-dns-proto-0.20)
> +         ("rust-trust-dns-resolver"
> +          ,rust-trust-dns-resolver-0.20)
> +         ("rust-xml5ever" ,rust-xml5ever-0.16)
> +         ("rust-xmpp-parsers" ,rust-xmpp-parsers-0.18))))
> +    (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
> +    (synopsis
> +      "Asynchronous XMPP for Rust with tokio")
> +    (description
> +      "Asynchronous XMPP for Rust with tokio")

Full sentence and missing period.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdmAVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5o6MP/2DxlZkzAm/4n522854ko5afFIZZ
4yKPM6Zvu0LTPKIbx+WkdH7X5FRu7Hw6gOQ7tH1nrpwy0BAl0Z0rhqmzSaVKWPL1
PWrTq5O7Kf5McljnY5KQgan6TBW2xypYAmLrjFijF/72wypAtFmHQop7iyV7WmxT
4bo+FM7s+xNxsN6Xv88Ie1mB3gUFmM0m4sAjREt/Wim7rMXWnQPlNFiimjYbCVDr
/3aXZHB+dOCWB6Ef9CuYP1JmYWz504a1Ha8BpiyTaaDDF+QUOiEYOcZoKYkUMP8F
9VvItZ2RBuJ8VgPWSdBIK3xEF9oRt8QJONgZZ4uU4abh0s/rn8te83H0BVdezYrk
7Rn5TXnW+OuXyBoePTNRYiMqubZJjymWAL2Ut0VF0XWb6RehjqT1QUEvVATYgXTg
eTacWlC72xsqabvg243n/62ziBtahcRDKxBIbGBQMw0TFUnLJBDqwDbrH/Ohc2+s
v49twz6LX7OJNIHcJmFeXHPcY6KqVYiy68jxUefxmPwUeEuIBtLNH0dYLq5mMIIx
gpZYK7gtiJTlfnePyqAy+dt9+QPfwlY02yj1pobeOJk6i/9CBx+DF7e7FYoTJB0S
/Bm3Oz6O7gI7vWQqXwOydHyZXibdq/OvBA5XPrlNxU2pFuOEzWOytNO2ivSva9KX
Lqq+/d/unXTqe8HT
=iTCY
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:24:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:24:19 2021
Received: from localhost ([127.0.0.1]:35609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8dn-00082l-9l
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:24:19 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36476
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8dl-00082Y-Tp
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:24:18 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813450;
 bh=WHu8DTbCvaeG0qHYugsQoYhEWl+lmshXeQ+HvWxSE70=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=RWQJJM7d36n7xId2A5elD7+JiVQCEP5Bz65ddFIL9CG7cCuPWeQ6aWLmtsi1aCUC1
 0pJdHitOaaDsDqmPX7bjkjv2rX0vber2hB+rgl91uIqiCZ7ZX9axMPSCPjSrsgYlFn
 N6HjUQhAwqyVcZP+jbETH4oP8/sANREGiVk9N63k=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 17/20] gnu: Add rust-xmpp-parsers
In-Reply-To: <YOti/6mcQBY1PRip@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOti/6mcQBY1PRip@HIDDEN>
Date: Sun, 01 Aug 2021 12:24:09 +0200
Message-ID: <875ywpa2eu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 34 ++++++++++++++++++++++++++++++++++
 > 1 file changed, 34 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index f2e32d617 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 34 ++++++++++++++++++++++++++++++++++
    > 1 file changed, 34 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index f2e32d617 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 34 ++++++++++++++++++++++++++++++++++
>  1 file changed, 34 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index f2e32d6172..9bd91b0b7d 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -55033,6 +55033,40 @@ to XDG Base Directory specification.")
>  parser.")
>      (license (list license:expat license:asl2.0))))
>=20=20
> +(define-public rust-xmpp-parsers-0.18
> +  (package
> +    (name "rust-xmpp-parsers")
> +    (version "0.18.1")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "xmpp-parsers" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "064bjmngy0abcp9wcms7h5b13rljr0isliy83csaa0j7xyjmpkq1"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-base64" ,rust-base64-0.13)
> +         ("rust-blake2" ,rust-blake2-0.9)
> +         ("rust-chrono" ,rust-chrono-0.4)
> +         ("rust-digest" ,rust-digest-0.9)
> +         ("rust-jid" ,rust-jid-0.9)
> +         ("rust-minidom" ,rust-minidom-0.13)
> +         ("rust-sha-1" ,rust-sha-1-0.9)
> +         ("rust-sha2" ,rust-sha2-0.9)
> +         ("rust-sha3" ,rust-sha3-0.9))))
> +    (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
> +    (synopsis
> +      "Collection of parsers and serialisers for XMPP extensions")
> +    (description
> +      "Collection of parsers and serialisers for XMPP extensions")

Full sentence and missing period.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdkkVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5RHsQAKRbZOe0/NMSV9x+ZcPGTgaj6vqy
wXphwPh9fS+ytF8yOcXq+PwkjZiLhdkkwiLHaN8ueBz0nBvtX1puTEBptcqL7usu
zIKl/MwBqS9rLQYtdJKVpy6PLswzMp26in4kaPhTLrBKWQ31Jm7QaqUMQzhWVvXp
RyAk9fuehATZEHYlSPzCrrFThWDvtL7/+jyuLUgicoKycXvu44i9lcV96Pp93jCe
Hc4Zv+owbZ4lIRsG6BVmDtB3qJ6cxdpPTxlDRXUGD2bzsabwGAmXE0zveVzMq64l
wT7N4kbmZN1yRi7OSOqjJTxTxQyhYkL6BBzGZplx7+cy/nAqCZ+97VSDgPtk8om8
mn5XKS0rdb9itPlo7gI/cJDD/adwB/H0nzSrRO2IuBJKCPiL52XSDuysEglqoYj9
FcTN92SUZpDHC78bimB6gikOQDYmjBVTDdNpwu9R1Lu5PEvSRanYI2TXeu8VpQpC
dJMZCwrk4aHY8FqysqH0OC6Me4YYiCZ+vy9ZVkUasbefhwIF3nnevsUwDQJHXM2e
Co9VsvhfPlJB2m9/gRjf3tUmr6tzutyBpyGZKfSMjZsD2GttYAZAgYzi78VlB326
0EylvaseHZkw6FcdCyj3vrz/9QUvV9D8W3z1pEhKW/pGBsqKOQR0P8LAD4q5rzKG
FRF1CpwqkNzoOtu+
=Xrfr
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:23:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:23:57 2021
Received: from localhost ([127.0.0.1]:35605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8dR-00081n-0l
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:23:57 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36452
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8dO-00081Y-NR
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:23:55 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813427;
 bh=7/d8qGozw5IwBPnBBbW4kzWILgt3l2gR7NvZKSKFZKE=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=o3zzJ8dU/Cy7YMK53DXoK03h5Gufz56VTwsZHypIC18zF43OCjxSDP0ZTqj3BujTW
 e3nPwn+KKkJruq4PrB3oC/hTxo2Vvgvio1W2e3102jSP9qhJ4qYz1ZqMh2VuQbw0Hg
 0wDJvMNB8E++4BFV4sPZPO4W7Ewz8dWGHPnjYPKk=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 16/20] gnu: Add rust-jid
In-Reply-To: <YOti+gMC7h8B8QLV@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOti+gMC7h8B8QLV@HIDDEN>
Date: Sun, 01 Aug 2021 12:23:46 +0200
Message-ID: <878s1la2fh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 29 ++++++++++++++++++++++++++++- > 1
 file changed, 28 insertions(+),
 1 deletion(-) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 29 ++++++++++++++++++++++++++++- > 1
    file changed, 28 insertions(+), 1 deletion(-) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 29 ++++++++++++++++++++++++++++-
>  1 file changed, 28 insertions(+), 1 deletion(-)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 44ae54f84c..f2e32d6172 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -22727,6 +22727,33 @@ primitives to an @code{io::Write}.")
>  byte slices for sets of ASCII characters or bytes.")
>      (license license:expat)))
>=20=20
> +(define-public rust-jid-0.9
> +  (package
> +    (name "rust-jid")
> +    (version "0.9.2")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "jid" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "1s3dl38wwhnx0pbzm4cnwqmmr09nfg4nv6w4yl3cmbkc2n7xipma"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-minidom" ,rust-minidom-0.13)
> +         ("rust-serde" ,rust-serde-1))))
> +    (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
> +    (synopsis
> +      "Crate which provides a Jid struct for Jabber IDs")
> +    (description
> +      "This package provides a crate which provides a Jid struct for Jab=
ber IDs.")
> +    (license license:mpl2.0)))
> +
>  (define-public rust-jni-0.18
>    (package
>      (name "rust-jni")
> @@ -39611,7 +39638,7 @@ motivation for writing this library.
>      (synopsis
>        "Crate for SASL authentication. Currently only does the client sid=
e")
>      (description
> -      "This package provides a crate for SASL authentication.  Currently=
 only does the client side")
> +      "Crate for SASL authentication.  Currently only does the client si=
de")
>      (license license:lgpl3+)))

This hunk should probably be dropped.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdjIVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5smIP/ji1Va/CXWBZFE619EfL+W8bUE5o
JSREpeVm67UMN4KcJ3v7qyYzkL0DL/pSfeABWl3TrtUZzuLc6PR55YxfPNpq5WiF
5Rz4mwq2FbIb5h36sFoIF+lilXid7Vqq2njDtXwBPqMzUtGw8VJM/JQ/WvNjgEuw
H4ue4Z3dRQsNY1roTBM81U0VRocFNJldTAXgBZ/6vhLpbvP3AhZjFdEnquM4rUWl
zJ0njdYBvNHw8cAQiCROUcw063fnZeQmAD39h37To2CuLSrBnTqzlyqmR9cCsKX0
MgVQFQH5x1ISwcdw26DaBy9HTDMLTkcm2d/6nshPssWADa7RqlNVFYqEDmx1qHJf
yLTaWIP2kN1r7fyHyTLe4pgeHQT5gSw9k3WYz7Fs+BJr+6phYhzvLspl0NOjR4A0
863ECrJPWfYrFKoh9lPuTtKtxWQlnqbiaWgYmFxQJCaVoYQeGfmOhF0CvRE6UY6L
U3GCKnPEs5RbB7xUztIi9LHsAyzjCzp2MIQfDOzX75P3sPJqp2S/0cgALv3Cj4S6
8VkjyB/bl/igjyOe7BxpcSSbV1MKfYSvuvqulBIPQ1t8M0/9plToWpfjiYbJSLmC
8Px6cGESpaFcCOzcZAhp0+H8sumSSt+jTnAxPF+F4M3ebqHEcM0AzUS7m2pAEGdK
utxySY1msyhjjg48
=Vl+v
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:22:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:22:14 2021
Received: from localhost ([127.0.0.1]:35601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8bm-0007zE-Kd
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:22:14 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36400
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8bk-0007z0-Es
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:22:12 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813324;
 bh=lg9tN4rRGWqfuHGAhAhxGgF/XtEhEnmxQ6vnOp+XiZs=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=pnB47CIJGJHfuuk2u3nPLR83vRz8PeBJnx3UhSokh1GI1ZRf7gzbk22f/4elfzj+h
 ZzKuWrb2qfFHUipOHdr2qyFZje008U3eWlLtESjfRuV27tq+OQBFZWLzt9jjzrBF1e
 2BEx9roRGszdeXnmRfGG3l4ttFVOoly5+StMxiVQ=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 15/20] gnu: Add rust-sasl
In-Reply-To: <YOti8pJdYiP/uDQ1@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOti8pJdYiP/uDQ1@HIDDEN>
Date: Sun, 01 Aug 2021 12:22:04 +0200
Message-ID: <87bl6ha2ib.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++++++++ >
 1 file changed, 31 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index 0e57d3c145.. [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++++++++ >
    1 file changed, 31 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index 0e57d3c145.. [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++++++++
>  1 file changed, 31 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 0e57d3c145..44ae54f84c 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -39583,6 +39583,37 @@ motivation for writing this library.
>  @end itemize")
>      (license (list license:asl2.0 license:expat))))
>=20=20
> +(define-public rust-sasl-0.5
> +  (package
> +    (name "rust-sasl")
> +    (version "0.5.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "sasl" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "1j9d6q580r18i90ksr0frjks3mzll73966p2rp0vn9w90b77sbap"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-base64" ,rust-base64-0.13)
> +         ("rust-getrandom" ,rust-getrandom-0.2)
> +         ("rust-hmac" ,rust-hmac-0.10)
> +         ("rust-pbkdf2" ,rust-pbkdf2-0.6)
> +         ("rust-sha-1" ,rust-sha-1-0.9)
> +         ("rust-sha2" ,rust-sha2-0.9))))
> +    (home-page "https://gitlab.com/lumi/sasl-rs")
> +    (synopsis
> +      "Crate for SASL authentication. Currently only does the client sid=
e")

The synopsis should not contain multiple sentences, see =E2=80=9C16.4.4 Syn=
opses
and Descriptions=E2=80=9D in the manual.

> +    (description
> +      "This package provides a crate for SASL authentication.  Currently=
 only does the client side")

Keep lines at ~80 characters; missing period.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdcwVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5XjEP/RmfiIWTBA3okkuXgBDm0FxCagVQ
u675uxn/0qx0VZW4i3spJ+05no/tQn1tG7x4QaJqgqZ1h3ETQHLDf/fnp1jXgxQ6
g0jliYt8iN6+267nm3TjbgvOSAkAi5lGNP2sj5fFss+0bO0vRvUCl06Z92KlxlFh
JmckhAEjCO5zdhR4kYBThiqU6fP+cyw6m/QktuViKh+ui6Kywbj0CEP4upmDletC
H6AAAKM+/Atv61eez6lfWMELCfXDbcCSX5br++dLfUPJO+7mzKa/4zPuk47TIBcH
Zzrw6Nm2mHkW+mT3Ai3IADV7aVFF8W9uuf/8CMa8XNxdKxbA+CAA8euIeiT9xtRW
IwscvEvrayFk7yaKQkhHnS+6AQwVugTelNA1CQvTxr+Jjgho9Jfr+z7s/A9WpxeM
z6i6T18T9e0KZit5CJbJFXBBog+03iJ/Q8AOIh9C4LL9bz5qZl/dF5FNnahS7FfQ
fnxYaWlaFfbyC5VPXURIY9Xko6Uune711d9heTnd15IaVVxGJJ7tQyb36Liajg2i
gECpf+oQWhypflauKjlHFZv92/1GHdfZkLraUbiVgyakWlED2wDfoXV/WR/MILNW
v542OQ61tSV6ZkZgm0IXH/2ax7UXm4OsdBoi3vLL/xZgk01OZouDHPb4JFLSc6wy
NhkXtf2m+Qyt0Kf4
=1DTa
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:20:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:20:10 2021
Received: from localhost ([127.0.0.1]:35595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8Zm-0007vm-8r
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:20:10 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36338
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8Zk-0007vV-PF
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:20:09 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813201;
 bh=+qP45G962r0+YeKvpwchVSdzstdiJgGhCQXrnic2JFM=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=DaMxwSyn++PbwxHHSIKJojPr/yRWaNbOxIwlaMTVTiGD7l/llJjxE17bbcHGZ/Xyt
 RyucDgEhEKc8KItq116nMgAnVeEnyOJjkF5hyimD77vYsv/hEiB6LmPd5+Ocs4TVur
 KJ+7dE8HpEDlHnfiFWHpmgJa7NCscYT/ExHysWk0=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 14/20] gnu: Add rust-mockall
In-Reply-To: <YOti7Wc6AIqrFC7w@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOti7Wc6AIqrFC7w@HIDDEN>
Date: Sun, 01 Aug 2021 12:20:00 +0200
Message-ID: <87eebda2lr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 33 +++++++++++++++++++++++++++++++++
 > 1 file changed, 33 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index 2a9e477aaf [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 33 +++++++++++++++++++++++++++++++++
    > 1 file changed, 33 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index 2a9e477aaf [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 33 +++++++++++++++++++++++++++++++++
>  1 file changed, 33 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 2a9e477aaf..0e57d3c145 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -26740,6 +26740,39 @@ IOCP and Async I/O abstractions.")
>         #:cargo-development-inputs
>         (("rust-rand" ,rust-rand-0.3))))))
>=20=20
> +(define-public rust-mockall-0.9
> +  (package
> +    (name "rust-mockall")
> +    (version "0.9.1")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "mockall" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "1m9kpv4523503v48ahyzk9g2rabvbjl70mlbkc8mkfzr4fni9mhq"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-cfg-if" ,rust-cfg-if-1)
> +         ("rust-downcast" ,rust-downcast-0.10)
> +         ("rust-fragile" ,rust-fragile-1)
> +         ("rust-lazy-static" ,rust-lazy-static-1)
> +         ("rust-mockall-derive" ,rust-mockall-derive-0.9)
> +         ("rust-predicates" ,rust-predicates-1)
> +         ("rust-predicates-tree" ,rust-predicates-tree-1))))
> +    (home-page "https://github.com/asomers/mockall")
> +    (synopsis
> +      "Powerful mock object library for Rust
> +")

No need for a newline.

> +    (description
> +      "This package provides a powerful mock object library for Rust
> +")

Same as above, and missing period.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdVAVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5TxsP/07JJFX0ZC09TvL+k19mmnQENgWn
m/TbWA/wpb6jlqWDzukOu39YxSaKteWpWBx1TMljqubRo2EbneVFEQ3LmcVlX0m4
KjXR5zNori27mgtI1livRcdPCMmLa03XjyrPkUDFyH0SpFJVSZXLFRcZj3xbodCi
XzcY0ZfM7CUc11MLQCnnCmJz4CpdLI7I6TlQW1nacynUdC+MxtiwkZn6uETgT8YQ
XCexYGo1rHrGJaRnOL9mMd2UK2dbGn9jjMVLQtZ3/eG9AyHZ2U2ZJSmaXNYe37Ug
moHSFGNymKzV3kF6JwVfK2Xlzwpa5ljC8rHJNCx4BAw8ZGR7mQ2D+EybRp+Zg+3O
5yiRBQ1CDuPuMq3Ab4bcN3xrXqOWD/rnTKrRRaC9AEYpS1mb4YrwJDO4Ypx70PWq
ND7tT41xIOvUGEAGM/6Jlf6hQ3c8p612zK9vIxuAhfd/kSSNPoSuSSQ/x3iHPnC4
JFXhBrxF9wUOFks+R+rrqojZppZFcK2EzYu7uRgka5RcYiYUPjbvTQnAkXr0may0
fEwxYY/8GKqPPmiAzZACIOWCVEUwvaV12gDQzoq3BCHQV/1goqw5rVBsClS3QOIo
M1C9tOoyn33KLaGq/wKwYgT7SbV7BpFzddAgBMjjVGdrlG2WzsdHzP23Quo09UUi
B/r7YAGm65LGiyb4
=W+6S
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:19:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:19:22 2021
Received: from localhost ([127.0.0.1]:35591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8Yz-0007u9-W6
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:19:22 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36308
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8Yy-0007tw-EZ
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:19:20 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813152;
 bh=OwECuRJfWZgzdYwKVYeaacyrzvTbI1w8MFORKkcUTW4=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=sFxK2ljmq0RXhTDOpux1gB2j4A9xFHKfGXriCrIFrA5gDe3zBM6pj//xmZP7QM1Gl
 anaaWLJ2vduetiuD3I3jnzu0T39IXGkGbmaR26rCtuIty0peW0/+/w0FDzUJUVgJdx
 qGZdjuoGhf3duQ3GVKh68Iw7HQTEyeK/YaX0Upu8=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 13/20] gnu: Add rust-mockall-derive
In-Reply-To: <YOti5/jJq95LuDz0@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOti5/jJq95LuDz0@HIDDEN>
Date: Sun, 01 Aug 2021 12:19:12 +0200
Message-ID: <87h7g9a2n3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++++++ >
 1 file changed, 30 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index 5389f69934..2 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++++++ >
   1 file changed, 30 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index 5389f69934..2 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 5389f69934..2a9e477aaf 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -26740,6 +26740,36 @@ IOCP and Async I/O abstractions.")
>         #:cargo-development-inputs
>         (("rust-rand" ,rust-rand-0.3))))))
>=20=20
> +
> +(define-public rust-mockall-derive-0.9
> +  (package
> +    (name "rust-mockall-derive")
> +    (version "0.9.1")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "mockall_derive" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "1snywdscj3chgs0xqr5700dsw2hy0qwd0s3kdk4nz85w6m327m2x"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-cfg-if" ,rust-cfg-if-1)
> +         ("rust-proc-macro2" ,rust-proc-macro2-1)
> +         ("rust-quote" ,rust-quote-1)
> +         ("rust-syn" ,rust-syn-1))))
> +    (home-page "https://github.com/asomers/mockall")
> +    (synopsis "Procedural macros for Mockall
> +")

No need for a newline.

> +    (description "Procedural macros for Mockall
> +")

Same as above, and use full sentence(s).

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdSAVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5VUMP/AsGEqo9zrJ4ZUibWh2/YPd9GDA9
IUPQ40NqzEBRFBss8KQshsfAiLpoX1SKIuByWSgUl1iU+JdDM8m3I3Qp7O8oBwmP
EgLwbSYjiR7Xpw8HmAdCk4YCafDS/z3TjvwTNggqeLkY7vwq6rXFsVsi6S++7UNd
mCy3Bp5JP9rdtAnjCKcPqjwRzYw7v+3q33Mw5RQw6hgAXTXXMqoYj5Z3IhHio/l1
Eg6hETKihZ0cu3FrTKkqCInGaipScKh3G7YE/qDQNquN6gaaQT7C72fhj+mhBq+D
lWml+xGuVjnbPT1VwG/z7qASG+7d9unIOTh4FuvK6xRm43RQ3Z8LiRe6/Hu00hXQ
RSLWmFYw95vYM7FktK0xbwQGb0PffZIvOMVyaZWtahq6jKsAQMNfqKPnN3V+MUL0
egmYtpDcE9GAZ4i+bEKmzJlFEN5TN4VH1A6dQIE5iA7pDqLt8pu3E5Qfs/rUlf5X
szWDKHqn/P3tm32yOp+9tcYjqf1DSOwPBP+H/Sn1WxUWhxGBXtRcJ86GKYZSxcQT
WOLEtprDVM2IIdHbPAQRiRpaw0Nb730OyJUZtSs/OAN460zazh84pHvmjO+oM2dz
P+egpQ48BAWTV7PNLpcw6Auo2rWdzLbvuQ7wD+8T9SxAxz3zh9dZ6yDXRfMLMKd6
7+jBKQ99F0VVY0cG
=Puk4
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:18:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:18:31 2021
Received: from localhost ([127.0.0.1]:35587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8YB-0007sg-NC
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:18:31 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36270
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8YA-0007sT-Do
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:18:30 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813103;
 bh=+Mr9U09k8f+w1QQ8J3fNTuECdJFGG8OONkI2hQtHqUE=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=tbWICBqBTZ61pRE34Pk29KRRYXAahuAk6GmHjpmvExpjeKJeHmjKYyE++l6z7vUdE
 W5D32L5uyJs/rvRFHsIui7KhV0etS4439hHyzI865eua7+4qbXpe0e1BHmTUFelLz6
 dNfgK+WXyzFSlFUuOeuuq+ScOxegK1axBsvzgUhQ=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 12/20] gnu: Add rust-sha3
In-Reply-To: <YOti4ej/4gA8UctV@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOti4ej/4gA8UctV@HIDDEN>
Date: Sun, 01 Aug 2021 12:18:22 +0200
Message-ID: <87k0l5a2oh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++ > 1
 file changed, 28 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index b65ea9568f..538 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++ > 1
   file changed, 28 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index b65ea9568f..538 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++
>  1 file changed, 28 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index b65ea9568f..5389f69934 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -42052,6 +42052,34 @@ functions core functionality.")
>         (("rust-gcc" ,rust-gcc-0.3)
>          ("rust-generic-array" ,rust-generic-array-0.8))))))
>=20=20
> +(define-public rust-sha3-0.9
> +  (package
> +    (name "rust-sha3")
> +    (version "0.9.1")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "sha3" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "02d85wpvz75a0n7r2da15ikqjwzamhii11qy9gqf6pafgm0rj4gq"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-block-buffer" ,rust-block-buffer-0.9)
> +         ("rust-digest" ,rust-digest-0.9)
> +         ("rust-keccak" ,rust-keccak-0.1)
> +         ("rust-opaque-debug" ,rust-opaque-debug-0.3))))
> +    (home-page
> +      "https://github.com/RustCrypto/hashes")
> +    (synopsis "SHA-3 (Keccak) hash function")
> +    (description "SHA-3 (Keccak) hash function")

Full sentence.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdO4VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5C8YQAIi0TmbdRUapFexs/oHjvYF0JgP9
PkxKjK0AVI2fFEuBazTl6Vp8u0gkbglktfMEfzdxoP7rux6qvmSqO5RwLA0JrV0F
v1lXcSGLJrNtNSe2dhhoYCTkTk1b4+JEbXWW78VSV7qZ7qkMPLkn04I5u9xvzt9U
9tEKFPlBOWuJJn2KH8sycGuM1OrfuKmO+g/bPoiEJk7T0FeefJTwzvvMMJe3LfOC
SWbdYRBpybK/9QNE4BFjJHJIQTjy4Ref1+dmyesYgeOU9noMn1fVDgOt75YKIxmk
7PGLVWwOdtRwNRjakB+v4QrzrRnjL/16LdPhYW79lLTyu4e2xeEYjTB17gPO9ytT
9hKmin5dBbMOm+zXV+u0QMCsaBkW8dUf3SluKmf3cLHgVD52dwgsRDUukXUm5yNb
AiQzuI3lJj/PC8FnxdpCVp6WIZdOZwcAo9X1hGFz9og3NZRBNxFnvisaQ2CAo1RA
ALM5ISNDycRFePG4EIr6Z645+dOAh5KEpebAtpntGl7i1hYS3Ge+Arf+u40/paKL
XtdEmZmbYUaRSodWO9gcyXzflfpMnl3P1KcFEd4+34awoyamuIZEU8Cu8GqtNlRx
ajZd84sMzR2QgcTgmjjMAk1mP+A263ehj4B5SO1PdaE0vcvu82BLQEbkyb6SYVMf
dXisf1gwAnLhgfFm
=4jlm
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:17:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:17:58 2021
Received: from localhost ([127.0.0.1]:35583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8Xe-0007rW-EM
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:17:58 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36250
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8Xd-0007rJ-8J
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:17:57 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813069;
 bh=kZ38DwM9znhqJZVgsaEyD0ZroS8knWtQlGW24FAYZEw=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=VIf4MJ7tKIArlO7O3cC87L1DbCgF7sHiJxJBeBij4Ft8FY/WrlRYvU8VMtIK8pEJ/
 NYM13XzCDE1DVUVK3AipanLutGAQV1BYo9rPv8rdB0xj7xYkAF24AWzKsCKNFrsKGN
 7SGxz4+5m8KgqKdX5ag+vRgAgIQBx9lTKbynwrrY=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 11/20] gnu: rust-pbkdf2: Update to 0.6
In-Reply-To: <YOti2uf3P812X5tw@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOti2uf3P812X5tw@HIDDEN>
Date: Sun, 01 Aug 2021 12:17:49 +0200
Message-ID: <87mtq1a2pe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 32 ++++++++++++++++++++++++++++++++
 > 1 file changed, 32 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index b60d07c15b. [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 32 ++++++++++++++++++++++++++++++++
   > 1 file changed, 32 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index b60d07c15b. [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 32 ++++++++++++++++++++++++++++++++
>  1 file changed, 32 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index b60d07c15b..b65ea9568f 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -31163,6 +31163,38 @@ path.Clean.")
>  directory path to the provided path.")
>      (license (list license:asl2.0 license:expat))))
>=20=20
> +(define-public rust-pbkdf2-0.6
> +  (package
> +    (name "rust-pbkdf2")
> +    (version "0.6.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "pbkdf2" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "0jjaapyawm5iqn97mmfj40dvipsy78cm80qcva28009l2zbw1f5k"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-base64" ,rust-base64-0.13)
> +         ("rust-crypto-mac" ,rust-crypto-mac-0.10)
> +         ("rust-hmac" ,rust-hmac-0.10)
> +         ("rust-rand" ,rust-rand-0.7)
> +         ("rust-rand-core" ,rust-rand-core-0.5)
> +         ("rust-rayon" ,rust-rayon-1)
> +         ("rust-sha2" ,rust-sha2-0.9)
> +         ("rust-subtle" ,rust-subtle-2))))
> +    (home-page
> +      "https://github.com/RustCrypto/password-hashes/tree/master/pbkdf2")
> +    (synopsis "Generic implementation of PBKDF2")
> +    (description "Generic implementation of PBKDF2")

Full sentence.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdM0VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5dPoP/0CqCFnNxLoPTXj3wDx0Xw1nl/W2
v3wsUKU8NA7Tanw0xfw5Wpu4DCr91+1b1IjSwnN6K3srbhYft2jvfGN8/85MQE8O
6zxeZTvfe2Z427gEZOF1ktXBH8TG+PAjgF0SbrvWu0ywnvvBw/A3XyEZWUWiUNBC
iJouq8Du3NlNR9S8hrLegBxBXs6StLc+VoV6XDwA+MnZHwbhVACCLeMDofhAOzRZ
7RgioWdOupWczeerTzKyVSVwDbMDxxnwFrKY139a4NFzeyhO+DdCSi4QFvcfS3Qc
jRjbFsqP9Sh04+/KE9vnMVLzwgSsd2FstRVimY4lo2igIt2qukdkmsY6uWUYAwiM
YNYw5Vsy1iOcfrgOtL2tebjW7f+doUoP/wDGV7+KB53bqGpfd0U6+N8i5YrUxMfa
qywA0XK0+fTMReKk5zHX9/2ko8Qbh6H0uTsnvrxrHEJFRh+iL81kk2oBKonNelQL
ukTI5y0MP5IS4e46BpIeHGLCUo+XI3Dd3laLqUH0Tatf6s+TYCWhPvhi4cXUZMV0
hc1r+TKTQEJJ/rM/wv5aIIkACOWRI0jVrHY+Wtknxw8sIJIyqPXKxTZYnROemD0w
z4UaeUP/etHcCxpLwVpvnyA4Ss4BMBNbXJYv+ZZwK4WK+r7h23r0Bd7v+gBWpjEv
ABpcrTmYG2zsyJuM
=05zT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:16:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:16:52 2021
Received: from localhost ([127.0.0.1]:35577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8Wa-0007pY-4A
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:16:52 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36206
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8WY-0007pL-1o
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:16:50 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627813002;
 bh=8RIGzLtKfh2pOKXW5e5UQFrPFZnlxhlYcW2OtuFOsKc=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Wm1IRtCFLr1ASio+Obf44saoRMCvmuOafwVj6TLkEmHkBDRs9ZlWmHmgi9LTWP+Q1
 XkCh51OXsRpMGePcH4gRZEaq6iPbDSV3dofJpNe52481vHIVQwA4VyQ/43j2NvHgU6
 iX6EOfC0+ZW+NPCOrhEW78r5+WcktJdHvzg9axdY=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 10/20] gnu: Add rust-linked-hash-set
In-Reply-To: <YOti073u1vA9dv61@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOti073u1vA9dv61@HIDDEN>
Date: Sun, 01 Aug 2021 12:16:42 +0200
Message-ID: <87pmuxa2r9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++ > 1 file
 changed,
 27 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index 16e2b33e4b..b60d [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++ > 1 file
    changed, 27 insertions(+) > > diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    > index 16e2b33e4b..b60d [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
>  1 file changed, 27 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 16e2b33e4b..b60d07c15b 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -24329,6 +24329,33 @@ pairs in insertion order.")
>          ("rust-serde" ,rust-serde-0.8)
>          ("rust-serde-test" ,rust-serde-test-0.8))))))
>=20=20
> +(define-public rust-linked-hash-set-0.1
> +  (package
> +    (name "rust-linked-hash-set")
> +    (version "0.1.4")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "linked_hash_set" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "124m7wiz9ah7ah58ckai413mzfglh3y1nz64qy1s676qlinnq627"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-linked-hash-map"
> +          ,rust-linked-hash-map-0.5)
> +         ("rust-serde" ,rust-serde-1))))
> +    (home-page
> +      "https://github.com/alexheretic/linked-hash-set")
> +    (synopsis "HashSet with insertion ordering")
> +    (description "HashSet with insertion ordering")

Full sentence.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdIoVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5jlsQAIEUQVZYLdyOJjtPba1Os8L2Fo6f
qV2un7ep9/kOM4hK7EOJBTKCRQ/RnVrDkHNEW/6ic0yGmrtQ1xRNH4H1SnYRu0lk
k2qv7KT+AH097ANtPmxJM61fQpJ53MwH/HpbKVatR//h/FBnJMhOV6LVzo9jUQ17
oPm5awWlraalljrmYqVWy+k1+zoKkKP/UJewnQhXlUhlZLuywBcl6FDl/fkO403U
+4F/arg0TmWDL1B2M+SOqMobIrVV01SRv3rHnG2CFzp9xSis4AWlw+ZX0odGHCuv
RjbjSUI08NlZvOnV4NN4lG4un4Sy18m3jh/vzTGVv/hb/cEeFtxhbX99enceQq4X
+hMKqojjltWi/fh4fHlgCNcT3ZoBghUpAG0cIlB69CwuT+uhIJZ59VSed/9iK8gX
uYKu7hCHgeJG8iHYvuP3sQJjeBYZ/kvvybXS8PnECCIixehCu67ecMVV/ECbDlUc
yS1oMtpgVY4ra8fSpwB5QjUCYp+7KtpTDy/Y4bnHF5k5Su+/uFpXsaytXTv7zBF5
f29yQyavnWjdrMtZcg/LCWK468S/mbz5Ry1656MNHXSaCoTe2T0NWUHZq21djDDI
ETQCvNpgLD5I3U71Tjtpza8g3pY7mcnInqTTBD4LnW/DOZAsTo/2MvPsU3n3cy7B
HxpZ4qeip31oWETi
=E5DG
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:16:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:16:30 2021
Received: from localhost ([127.0.0.1]:35574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8WD-0007ov-RY
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:16:30 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36188
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8WC-0007oj-3P
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:16:28 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627812980;
 bh=Hf19GhsT3l5x0HMlG8Q1pHNCR94Gan8qX/b0VOjAo5g=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=r3po46zjbVvFe3tnT4lz6arX0yk6vLY2M4bnu4vJYXvdkq+j4g/u99vHk1BlqbChW
 q1Toj1VOs/78/N3HGhHCyAIYk6Afm3zevDfYNu/U+rcTihN3vS/b6rhfZ8+qcI0TPL
 TCgZ52o3hoccA1COS9AeiBFptoGkGeH8Qofy2TNE=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 09/20] gnu: Add rust-minidom
In-Reply-To: <YOtivEpTRxkOgVhI@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtivEpTRxkOgVhI@HIDDEN>
Date: Sun, 01 Aug 2021 12:16:20 +0200
Message-ID: <87sfzta2rv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++ > 1 file
 changed,
 26 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index 5daaffaa52..16e2b [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++ > 1 file
    changed, 26 insertions(+) > > diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    > index 5daaffaa52..16e2b [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++
>  1 file changed, 26 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 5daaffaa52..16e2b33e4b 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -26305,6 +26305,32 @@ file's MIME type by its extension.")
>          ("rust-phf-codegen" ,rust-phf-codegen-0.7)
>          ("rust-unicase" ,rust-unicase-1))))))
>=20=20
> +(define-public rust-minidom-0.13
> +  (package
> +    (name "rust-minidom")
> +    (version "0.13.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "minidom" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "13k0ngkwgj0zgn0zkkklnj274q351mpyzjaglr0dviwz2k19499k"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-quick-xml" ,rust-quick-xml-0.20))))
> +    (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
> +    (synopsis
> +      "Small, simple DOM implementation on top of quick-xml")
> +    (description
> +      "This package provides a small, simple DOM implementation on top o=
f quick-xml")

Keep lines around ~80 characters; missing period.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdHQVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5atMQAInn/rWp9hDqqb8x5/zXwBv0NwA8
jRTx+PsCLHuCRP4yMUfc9o6pcNbI7Hr4ZdW9tT10axMVx85WXEc51o6g4+NSJ4Q2
XAYSCw7y1QMK5fw513HZWqNsiRdJUGTW9S6/OSdyhFoHyFauTcm4XLDZNbkImTIA
Pdy6qN3mt3shMceiEDwLtoJI+5M04BzcSU34fspcgMz8Uup39GtuBLanVZrlMOJ8
+8De5C0DnVjxxY2ArK2G+Afr3r1DeINQkmcRKv4NVCEZDFVIlNfo7IUqyY+NzE3I
cNAXjFjm6ZwguEOJx9l1UcJhabret1S/XPf5WhW7E8Zl0AIfYXk+Ti5FeBE+Cci4
2r+61E0pFnr/eSro6gIAhgaBQeo4Mv7/flSoKdEbJFDIGBJSWcno8NfGHazmpmY9
WhDI/ANHRU9VelFxJ9C9MF17g2ze/q5WrYNtXP6OWXb2DdzduRUF0DSyXFKs0/Ic
/bMK3givkhz2Y2xCYLQMcqW1K1YtYgc6jJI8QFLZHG7+H/PYbgFysHJZxGu9vv2k
KeoxC9VDunv4QxvteLauFhUfc/JE2DNhmNCdQFgIQUvRM9OkQk+siuec7Lq07xIz
w/Mjk87i2tYdIZn8EUdh+3Usj6cjg0TIdI/T9IREY5SggUi0LJcQ67BKdp2m5m7p
G/SrD0ugFeNeoMMH
=E2nC
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:15:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:15:32 2021
Received: from localhost ([127.0.0.1]:35570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8VI-0007n7-Ip
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:15:32 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36160
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8VG-0007mt-Mw
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:15:31 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627812923;
 bh=c4JmE+EkRj19eQggQC+4BR+tFw8kI0D2H1jQci2QY7E=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=pQwAIHVKF1Uj6jGFYYxmtrtrG3iAhZTWbKALEMitEurJ/xuG1VdmJ6aeasN5aZwyi
 ItMeRJR7Sm03MPdwninfP3jrW1uwo2hggSt7tOXGwnZHIcEL4JMd1gfLXAW0o3QGsf
 Bcb2UyX7C7JrLCCfM0cU3oixCMtFDYEy/Cp1LcVA=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 08/20] gnu: Add rust-hsluv
In-Reply-To: <YOtitVu/Ac4o35wg@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtitVu/Ac4o35wg@HIDDEN>
Date: Sun, 01 Aug 2021 12:15:22 +0200
Message-ID: <87v94pa2th.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++ > 1 file
 changed,
 23 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index 2ac2230490..5daaffaa [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++ > 1 file
   changed, 23 insertions(+) > > diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    > index 2ac2230490..5daaffaa [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
>  1 file changed, 23 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 2ac2230490..5daaffaa52 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -20327,6 +20327,29 @@ Hash-based Message Authentication Code algorithm=
} for SHA1.")
>         (("rust-libc" ,rust-libc-0.2)
>          ("rust-winutil" ,rust-winutil-0.1))))))
>=20=20
> +(define-public rust-hsluv-0.1
> +  (package
> +    (name "rust-hsluv")
> +    (version "0.1.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "hsluv" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "0g5p4x9np7292fxinqj34vlys5v20hg5yqqr8vvqbw8xcl5l3rax"))))
> +    (build-system cargo-build-system)
> +    (arguments `(#:skip-build? #t))
> +    (home-page
> +      "https://github.com/bb010g/rust-hsluv")
> +    (synopsis
> +      "Human-friendly HSL, Rust implementation (revision 4)")
> +    (description
> +      "Human-friendly HSL, Rust implementation (revision 4)")

Full sentence and missing period.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdDoVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5Pp4QALh4L+/D1WCJNy4ARpDySETtPL2Z
H3a6t3tc9MJE1z6tP4DAH2SNi4/VkZV9XIKZJHRhmq9+YT7bISA2gb0GMtpdPQZI
HzG62RYNqmEt0fk8e/V8JiOQEwUF3/kaxv75CBzfwNAr1ErXBBweBFcyznyIFAey
sctu2FCyVqdn6ewierH+fvuEGCamnQ6aGn+11TYYzsbRJudLwW2aQ/tMGE70hM74
4Imz2aBUra1GciRVsYLqobFBnhl1D/OOIsbBuIpGy8HAiGJhWiL3q+yIw6044DUc
Y887iam+D4faRYEPuu/AZg1Z7ztjxonFLG3ZlbN3Kad6j7MzA+e+LjKqG7YXnUWg
J8FIT7R+/z4butcpZYg6JgCb7Nv0asEq5Lg+hOWji/PMzWpImpGq2kPDVyqGh+1w
aHsX8/QAYiiZjd5BhKWQdHPdD57p/o8AGEEFJZqpNEPHx7HmIZ42zNGEO6x9caKn
wca6AHUkfGbUKxPKm0kw8mI4na9wUwwn997h0FpNEVX6o1bO/o2k6s6kJjG4IUGW
4fymlvXw3xMtJvSK9KJrYPHhCM5REcb1uJWFcFBIr3wn2lq9AhBJ01AEbW+cwhdq
XkCb9sY0r8A0TTMG447rF8+4ITwrm9d7rlEmwRTToHT6Pju1tWjNbHczo95+mzXx
7s1Kc7cp87C8XpAd
=BwtN
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:15:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:15:00 2021
Received: from localhost ([127.0.0.1]:35566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8Um-0007lZ-AN
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:15:00 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36136
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8Uk-0007lN-TN
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:14:59 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627812891;
 bh=Aqjcc7H+hjDr7aX0SMSKLTj8HwBgM1+qaytVQki2XBs=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=UrfGYI235eq5/phF6mdpphKbqnrq0ib0tf80IzB8/apPa3gFLICFT7jlZyigu1HIW
 QI5b0ElIgKzr7QyEXwZmVhwELaNTdPML/w4RpAn3OmOV2DwzzjoVnqMVhmkuIJYkyn
 sJKuqJjdI2RkPMrG/2U/Tbj0AqrGcypRV6+eq+0o=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 07/20] gnu: rust-hmac: Update to 0.10
In-Reply-To: <YOtisA3rjKuVZik8@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtisA3rjKuVZik8@HIDDEN>
Date: Sun, 01 Aug 2021 12:14:50 +0200
Message-ID: <87y29la2ud.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++ > 1 file
 changed,
 27 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index 258649f6a0..2ac2 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++ > 1 file
    changed, 27 insertions(+) > > diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    > index 258649f6a0..2ac2 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
>  1 file changed, 27 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 258649f6a0..2ac2230490 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -20141,6 +20141,33 @@ Derivation Function (HKDF).")
>         (("rust-digest" ,rust-digest-0.8)
>          ("rust-hmac" ,rust-hmac-0.7))))))
>=20=20
> +(define-public rust-hmac-0.10
> +  (package
> +    (name "rust-hmac")
> +    (version "0.10.1")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "hmac" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "058yxq54x7xn0gk2vy9bl51r32c9z7qlcl2b80bjh3lk3rmiqi61"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-crypto-mac" ,rust-crypto-mac-0.10)
> +         ("rust-digest" ,rust-digest-0.9))))
> +    (home-page "https://github.com/RustCrypto/MACs")
> +    (synopsis
> +      "Generic implementation of Hash-based Message Authentication Code =
(HMAC)")
> +    (description
> +      "Generic implementation of Hash-based Message Authentication Code =
(HMAC)")

Full sentence and missing period.
> +
>  (define-public rust-hmac-0.8
>    (package
>      (name "rust-hmac")

There is already a =E2=80=98rust-hmac-0.8=E2=80=99 package, maybe make it i=
nherit from
=E2=80=98rust-hmac-0.10=E2=80=99.


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGdBoVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5d5EP/ikHrrqs5LR1bJuNJlr2l4ByKijX
X/KraCdexMtSsjLDrl3pUlg9r6OP0kzpx15neLMifgi7QXG/vgYietCPiAWUQLCD
y/gF3eFG/jJ0HjfHxAOYg3EJDQiBw9rxStDjp4oj0YgpPaznVffD69OFCTc39pKS
xs9X8GJFeiJBdDGu/HagM+9u2hFZ9axz6oYl2AHEaAIX62lrW79djm2ArJbBiRV7
6arX8BMpx2bN/hKlrbrIeKcu+3/TfoPlskyTBgtMJ5DFYiZCJmp3CiMOM/cAifuz
YnYP7KdhU9rX/qRT7n20rjHlDk2tkS/WrJ7ZIYDj8HFAKya3zhgzw87I6VKoBDTT
3hGAW8/+d0l0gbGmmMTYuOcfLiLAml7guJjDHJ5mpsKiPRtv6A+HkG+ebin2EoB0
I7KYOv9fvFDuqs/17x/+4S0o3WUzuVErCHFFFoyxHfNtODd/biYlRJkhKJZjOjg4
HOba2yRwm2OivctV2nMN/6XeqvS7FJ8aZ9NcY6/+hiZrRsUhFwsStSPYBXPMK9WB
GqXwuQbdb22N81GR3JonVSXQFDH9ZbH+q9SCjlP82WXJ2baej98NQtNN9njqFR12
d0e5QPO5jr0SHGRZCxZL5mWAXEcnqtKI7vEcwhxRavmA+gYdHhmTw3fJm61tOzV7
mwMCIJvelfQgbUXK
=LVxM
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:13:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:13:18 2021
Received: from localhost ([127.0.0.1]:35562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8T7-0007j0-Va
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:13:18 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36090
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8T7-0007in-5y
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:13:17 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627812789;
 bh=P1tf5ms1QLC8wPtzzMBctya9R9m2W3v207Q5SrwByao=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=bt1gMoPExE8FBhCB5cpeho2jx39VH8XrITMO6ACxSzYLaLZOxqldspsL7HElsSAQ4
 jRT6cLP6pbmHgGj43pni91xDZYpYWPq2tBKX3QNV3syLP1cFPEGAMM4R1HuZckhF9k
 uo5UCOCZdfnFYfLO3ceUy0KG9UVam51HRKP7TcDU=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 06/20] gnu: rust-fragile: Update to 1.0
In-Reply-To: <YOtiqtuKcgtiFFMu@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtiqtuKcgtiFFMu@HIDDEN>
Date: Sun, 01 Aug 2021 12:13:09 +0200
Message-ID: <871r7dbhhm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++ > 1 file
 changed,
 23 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index e322661709..258649f6 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++ > 1 file
   changed, 23 insertions(+) > > diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    > index e322661709..258649f6 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
>  1 file changed, 23 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index e322661709..258649f6a0 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -16452,6 +16452,29 @@ implementation that is more efficient for smalle=
r hash keys.")
>  syntax, as used by HTML forms.")
>      (license (list license:expat license:asl2.0))))
>=20=20
> +(define-public rust-fragile-1
> +  (package
> +    (name "rust-fragile")
> +    (version "1.0.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "fragile" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "1wlihmkjyhvl5rckal32p010piy1l15s6l81h7z31jcd971kk839"))))
> +    (build-system cargo-build-system)
> +    (arguments `(#:skip-build? #t))
> +    (home-page
> +      "https://github.com/mitsuhiko/rust-fragile")
> +    (synopsis
> +      "Provides wrapper types for sending non-send values to other threa=
ds")
> +    (description
> +      "Provides wrapper types for sending non-send values to other threa=
ds")

Full sentence and missing period.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGc7UVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5OUMP/2wZKuCQ16kkHlkEsaU5FLGRZdH7
JmpBWnYsfrIFUD7UgzpnwUHfPWCr2XNiZA5EoSVyW3bJTWyY1u1VwPCpubQ2QUW/
bZcl5ihskJLk4iCkwkHt3C6ZfSIiP8YV0YsYWfzrdvJMWjhWfUZDGOXIY/DhXTPU
/spR+ADo+sWtjbqrH8Z/V9NeS3Ww/QCmCc2kXuOzLPu4uY3Ojy1FeeIgDSTz0cO5
ct9pd/p7i8m78XMG1K/94SX7+23OsbrGxkRjRERBpa2O1+Q0TgDIobbT2obUMypP
84roG+SyounUsuOljw+pOm0qWaNwqpZ++ix257ac5EvJYUxGpnewD3bRrKHSggUv
pleEpchAkg0gVwxbyIgqnUUlcxrAHCBuVSEv6jI8QYVWa9EdoN8+Dx57ckx4bNGM
94yUdlLs6QBDkVI5R6D+TbZN3s9OxDxLBlA1k75HdWVWfWp1iAljCPdm7n0aONcn
e23ee6fI3NGOVSLnFWY2jC+9Lw84SW/gN7QlKJD+uEL7ClwdhGxIHZp43CHqqLvE
K/PMI8lUkXoqFHX1F2jPq63Ej8J9HSQ3OEYIaPAxvzwdWDNtxR6eRzjgnInw6pwp
TUG02zuhQ8TFmWkJlW4/ck7UAhiZIMtVTpcrPP3hh8plaHVhqvR6l0ZqIx9NHpnF
kUeWmBRxPn3Bxuwu
=JAAP
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:12:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:12:34 2021
Received: from localhost ([127.0.0.1]:35558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8SQ-0007hh-Lv
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:12:34 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36066
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8SP-0007hO-SQ
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:12:34 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627812746;
 bh=HBe4cF+yzp/que4kW7DOOG0hfiOKkVn9M7kUVsABC1c=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=gCMmyGNASvFCPEodeN4gxdorIbcp73lgKQTiC2Yv5iQgGZRM7kv2T4001DiUPhdas
 JAXXLhJVlyNF5z6yERQyT0xI4URMHu9oHGG+A5wPDJ7aeq8ppesJaJVxRZJ4qTi5aF
 ZG1MG2UpJKxhWcng+HfbBnhyK4hBt3Ecd8OZX/4A=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 05/20] gnu: Add rust-flexi-logger
In-Reply-To: <YOtioWrSiV5Wm4OH@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtioWrSiV5Wm4OH@HIDDEN>
Date: Sun, 01 Aug 2021 12:12:25 +0200
Message-ID: <874kc9bhiu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 41 ++++++++++++++++++++++++++++++++++++++
 > 1 file changed, 41 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index d3641 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 41 ++++++++++++++++++++++++++++++++++++++
    > 1 file changed, 41 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index d3641 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 41 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 41 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index d3641af193..e322661709 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -15985,6 +15985,47 @@ Reader/Writer streams.  Contains bindings for zl=
ib, deflate, and gzip-based
>  streams.")
>      (license (list license:expat license:asl2.0))))
>=20=20
> +(define-public rust-flexi-logger-0.15
> +  (package
> +    (name "rust-flexi-logger")
> +    (version "0.15.12")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "flexi_logger" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "1gs2flpzjd4kr9jw614vaqxxz7fd56gqkr78j47q0ja1vfp3raxa"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-atty" ,rust-atty-0.2)
> +         ("rust-chrono" ,rust-chrono-0.4)
> +         ("rust-flate2" ,rust-flate2-1)
> +         ("rust-glob" ,rust-glob-0.3)
> +         ("rust-hostname" ,rust-hostname-0.3)
> +         ("rust-lazy-static" ,rust-lazy-static-1)
> +         ("rust-libc" ,rust-libc-0.2)
> +         ("rust-log" ,rust-log-0.4)
> +         ("rust-notify" ,rust-notify-4)
> +         ("rust-regex" ,rust-regex-1)
> +         ("rust-serde" ,rust-serde-1)
> +         ("rust-serde-derive" ,rust-serde-derive-1)
> +         ("rust-thiserror" ,rust-thiserror-1)
> +         ("rust-toml" ,rust-toml-0.5)
> +         ("rust-yansi" ,rust-yansi-0.5))))
> +    (home-page
> +      "https://github.com/emabee/flexi_logger")
> +    (synopsis
> +      "Easy-to-configure and flexible logger")
> +    (description
> +      "Easy-to-configure and flexible logger that writes logs to stderr =
and/or to files")

Please keep lines at ~80 characters long; write full sentence(s).

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGc4kVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5XZwP/25odFxPMaDWjB4Mco2k+zCBmL0S
qjmFxc79nSGjp3YG+i6fT4nNOL92EIyH58SGnSA6DRHWEEqnL3spOunscFjOaLdw
4mzi/TLGk0GzkTI15RyuqEUD4KBguBLmUKQ9xEfKVKXz+RLITD7qo6ibn5F5EIIK
kl7WDJ/20l869hrVigUhG6qSEjlTndB35tKfFuZ2cb0Z/Ano3CJY46TcqJcrSAUk
ViKo7BpLS7W2unADo6vKQChuMbs2Q+h+hjoGIqe6wlqjr7LHX2Jli0YV5kwaGVlr
5G8C6NIz2Ssko7u7esOtMMU48+WsS8pb0sYfdVvssS14tozQXvF5oXhLz+rjNj5y
+5EYovUKLUi00vm+P7ZYERYxczZpdSPBus5KbzURVAWGqRqEUe651ztsd9f50aDF
SzHee8EgMbaV7YsYdmjWtFWxlDETph+jXBh31n4EHpAueOHVI8anAxNtFvpfibw4
xOSWOPEDLcW27lr5qYYyRvVTD6hMBtLGNgqTaJEX3LNYpWA7rlFCbqdo6/+RG37h
t3lQlecswrZg4BDMeY0JzKMQF3lJb/M3iXHJlT8myPCApgzkiMkk28wfjVpRSYRP
W8IyMxj8VKfG4hyP+H8NgHCx1+P9rCcRTQLoC2dtYYQ9T+3a881WMwamZMshjKCT
ngssrjqkdcYg/xGd
=IqNs
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:11:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:11:08 2021
Received: from localhost ([127.0.0.1]:35554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8R2-0007fB-B3
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:11:08 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36020
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8Qz-0007ea-Uw
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:11:06 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627812658;
 bh=EDGqJmmmzLA77eNbsejhpzHHrOMuYP+HQWDmaMWyBi8=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=UyvDBsObtMyjNyikZVy0k4/yiB7usPEmXrcbRt1Dq1+V8S0tRIpaq7U5cbWSyY7iM
 /WHAKDxYMD4ltbQKv9Srr5nWtoPCpRGRCpmg8Edi0yY6EyNAXjX+N6KFg3/ZPP9XMj
 LKB6gcDGz22NXF6LeoQmnfhG1Q91bjpWGbxFLzFQ=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 04/20] gnu: Add rust-downcast
In-Reply-To: <YOtimRRXEI6S9cqQ@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtimRRXEI6S9cqQ@HIDDEN>
Date: Sun, 01 Aug 2021 12:10:57 +0200
Message-ID: <877dh5bhla.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++ > 1 file
 changed,
 23 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index 2ac7bc0c2e..d3641af1 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++ > 1 file
   changed, 23 insertions(+) > > diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
    > index 2ac7bc0c2e..d3641af1 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
>  1 file changed, 23 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 2ac7bc0c2e..d3641af193 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -13721,6 +13721,29 @@ from macros.")
>          ("rust-rustc-serialize" ,rust-rustc-serialize-0.3)
>          ("rust-strsim" ,rust-strsim-0.5))))))
>=20=20
> +(define-public rust-downcast-0.10
> +  (package
> +    (name "rust-downcast")
> +    (version "0.10.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "downcast" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "07bh0l95gwrzak6rj29v8kkm577d8vivxsxhqgscf64b4bq59d2b"))))
> +    (build-system cargo-build-system)
> +    (arguments `(#:skip-build? #t))
> +    (home-page
> +      "https://github.com/fkoep/downcast-rs")
> +    (synopsis
> +      "Trait for downcasting trait objects back to their original types")
> +    (description
> +      "Trait for downcasting trait objects back to their original types")

Likewise (full sentence).

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGczEVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5kOcQAJw9QvPbLwWEcWG35b7Tj3As6d3v
O9leHK43luKaCSh4xWMYjPEsu5zCQjxGgsw2phPzOAG+KPygvlh/u8Xm4D94EJ0u
cJBlSjNss/LLB2NjHz19GKDycC5WL2gzTMXE+SH/BeKonhTbnd2X8VWvqHihE+Du
wRe3Nxm5fO9TpErI/Nr0By4gzoKV3iFM/Hr3FPgK0u9Ce6FLQX6dnX8F8Vi9r+ow
MvRKdYkeF3PwyRKMsHvdvQRxVuCYMeXkN6d1oirORVQRzMrBnqTA3r9Cjkn0hZ7a
ats0wmpPFVqO5ZqnjKBDHwAAUJqDJlnx5t6tjsjvhq+H7z5hYph5qmNGCVMsO4gQ
aI3S32OildmNraxnklg2B/sP6XywNM+HD0jZxc91n40lr03yQGJAnv+EoDSjo2NT
cKGDGiwutRLhY55VjCRpwsI5WtXzwkZ0+yMmNwbFVMnSVo0zQZlHVcmbr36JnLbA
/fBM83NTQeBB4cibg/INfcH5CLbmb4sxVHs4Rj2KEcD9LKWosFtyCl647a2EzPMl
sL/2anDvd/iyK5tk0Az4WQKcfdkopBZFserPIscUTBhOhui6WwA8kTSak4RDVkXo
JxSpm+CzznW+r9Pwmh7QScV9ORyCYT8Apq5TqQBTG6L2HVWMBwG6n3JE48nBZ2u8
Qyxd4cq4Ykel4xlh
=00lA
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:10:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:10:24 2021
Received: from localhost ([127.0.0.1]:35550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8QK-0007dl-1H
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:10:24 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35994
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8QI-0007dZ-JD
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:10:23 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627812615;
 bh=nIhkXck83umnB6wOznS5oLVG5WjdcTdvjvk3BaFiKbw=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=cIiVCNuWMyeNw27TzCeBTdD3q1ReoyFKBX7i9mr09AX0KC8kr5+3CGhVsPqwZZp1J
 B8rQaS00hCFW7tiLcj07BoSwMt8LRSNvQHgnewTcr7L+G9mJn8ZH7V4+sbcIN9gT+Y
 /yBYlcHSaR7fx/GzFqMZz0nTtjYqqiEiiZQ5r7IE=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 03/20] gnu: Add rust-derive-error
In-Reply-To: <YOtijxznbPNSLuAB@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtijxznbPNSLuAB@HIDDEN>
Date: Sun, 01 Aug 2021 12:10:14 +0200
Message-ID: <87a6m1bhmh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- > gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++++++++ > 1
 file changed, 29 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
 b/gnu/packages/crates-io.scm > index c5605fa82c..2a [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- > gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++++++++ > 1
    file changed, 29 insertions(+) > > diff --git a/gnu/packages/crates-io.scm
    b/gnu/packages/crates-io.scm > index c5605fa82c..2a [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---
>  gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++++++++
>  1 file changed, 29 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index c5605fa82c..2ac7bc0c2e 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -12676,6 +12676,35 @@ for arbitrary structs.")
>  pattern for arbitrary structs.")
>      (license (list license:expat license:asl2.0))))
>=20=20
> +(define-public rust-derive-error-0.0.4
> +  (package
> +    (name "rust-derive-error")
> +    (version "0.0.4")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "derive-error" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "1j624ma4jw911yg3qqlvfybgk7614k2blhg6wgnb38wyn90882gc"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-case" ,rust-case-0.1)
> +         ("rust-quote" ,rust-quote-0.3)
> +         ("rust-syn" ,rust-syn-0.11))))
> +    (home-page
> +      "https://github.com/rushmorem/derive-error")
> +    (synopsis
> +      "Derive macro for Error using macros 1.1")
> +    (description
> +      "Derive macro for Error using macros 1.1")

Full sentence(s) in the description.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGcwYVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5fQ0P/AiY+mbMZ7Q21os/P7o9iGeiXmOU
XiDyo/IWtIXLyXMukNowAMyKHnIfa9rej6MT5nZkWpdpBcAihESjAL1Hjx4EXVXm
FO2/8+7TxVrxelidVxapf2yS8vk5boN+dKT/smE9KRiAEmJE/TER4k00eZHlZN88
hYbhFK8BcND/PRSr6N8a991cCLhgEYsfxBhmErol5KTdyGB1mqkruDMrsJmwFti4
PuKjbNiHIkXrVQnQxqCnLsMH8+admBK0jYZjYlMeXImPaoT+H5m0aT7WpxIF0Ro+
3BGRU5vVSBFIWkw8MXN20kdyodfJW92MGUbKcbGcdxo4HymJ3FyUXgrFcLRXj1DE
g+TZbYRtrsTiUkW6mz1EN14mnHkixHg1j7g2Dyi/UNnk2Unf2+V59084jpyLiZu/
hkR8v0EaTd7fW8YrsP9EwbjkbcpIp8i7Glj6CQpZJDshdAc2uNUOLN5iAKzSJF9f
GHR19vQVAeZfteobF1ksauIX/EnhTdvosfbnUxI139F3DlDiT2BSnZnPVo+glB79
eV0TrHMY+yUiZofcpOoP4L2YHa8PNs3ICsGBT9tOi+UdKQVXwttT8p0fZRfXcXAN
HhrcDN7EDMG7vaaGKtMIEq2v/+7j3KIAi4eLv27OW22ZV8GG+l4l1Lm3ECZsjIlx
9/dw3L3Su0mxjQKP
=HYOA
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 1 Aug 2021 10:08:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 01 06:08:52 2021
Received: from localhost ([127.0.0.1]:35546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mA8Oq-0007b6-LK
	for submit <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:08:52 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:35946
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mA8Op-0007aq-1R
 for 49451 <at> debbugs.gnu.org; Sun, 01 Aug 2021 06:08:51 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1627812521;
 bh=t0Oxss9Gh7rMaFZZpk/z9MMNpJiKG6mUPfODcLk/GT4=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=cxYfQVIhknyMxbNEdSkoHcCptHPFyqbO5g+QNbgqypJCmjxGnpWUGRik07h9f0gfQ
 +3Wg3+xF1nVu5ouVscrRWTnqnmUZfj6D0CH+0R/WHzcJUEsB10xSfXhwSKEdHZx0yT
 6wJeKGYjXGxIVnDryXKR3DpmSdiX3zwvTlXzii1o=
To: southerntofu <southerntofu@HIDDEN>, 49451 <at> debbugs.gnu.org
Subject: Re: [bug#49451] [PATCH 01/20] gnu: rust-blake2: Update to 0.9
In-Reply-To: <YOtiBSriYMVZ5WYS@HIDDEN>
References: <YOS6GMXJLemJzwIQ@HIDDEN> <YOtiBSriYMVZ5WYS@HIDDEN>
Date: Sun, 01 Aug 2021 12:08:32 +0200
Message-ID: <87czqxbhpb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
 > --- Please write commit messages in the GNU ChangeLog format; you can look
 at the commit log for examples, or see the manual. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 49451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:
    > --- Please write commit messages in the GNU ChangeLog format; you can look
    at the commit log for examples, or see the manual. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sun, Jul 11 2021, southerntofu via Guix-patches via wrote:

> ---

Please write commit messages in the GNU ChangeLog format; you can look
at the commit log for examples, or see the manual.

  <https://www.gnu.org/prep/standards/html_node/Change-Logs.html>

If you use emacs, you can use the Yasnippet snippets found in the
etc/snippets/text-mode directory when writing commit messages.

>  gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
>  1 file changed, 27 insertions(+)
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index d53f8fb525..5ed2ff470e 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -5207,6 +5207,33 @@ streams in big-endian and little-endian formats.")
>       "This package provides a crate for manipulating memory, bit by bit.=
")
>      (license license:expat)))
>=20=20
> +(define-public rust-blake2-0.9
> +  (package
> +    (name "rust-blake2")
> +    (version "0.9.1")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "blake2" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +          (base32
> +            "1x3qz692hfrxgw6cd94iiid6iqal2dwj6zv5137swpgg4l17598h"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:skip-build?
> +        #t
> +        #:cargo-inputs
> +        (("rust-crypto-mac" ,rust-crypto-mac-0.8)
> +         ("rust-digest" ,rust-digest-0.9)
> +         ("rust-opaque-debug" ,rust-opaque-debug-0.3))))
> +    (home-page
> +      "https://github.com/RustCrypto/hashes")
> +    (synopsis "BLAKE2 hash functions")
> +    (description "BLAKE2 hash functions")

The description should consist of one ore more full sentences, see
=E2=80=9C16.4.4 Synopses and Descriptions=E2=80=9D in the manual.

Make sure to run =E2=80=98guix lint=E2=80=99 to avoid common mistakes like =
these.

Also, I noticed that a =E2=80=98rust-blake2-0.8=E2=80=99 package already ex=
ists, maybe
it would be possible to update that to 0.9, or make it inherit from
=E2=80=98rust-blake2-0.9=E2=80=99 to avoid some code duplication.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEGcqAVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x54aYP/RSluhiAMLilpqzKC/sPrjvKb4FH
cA4vnFjqvgtDby/AP4cO5he9n75X/IKjC9oCx4zUN+scifon+cX3RpAAsdiSI7G1
2A44b+XvB4wpJm2JGcS03E3KTicRWLKR7mQl62QR+R7IBSEZkm2flvoWvMsax5Z4
VFRZSTVrtCqREct3Gj+tfyeFNjv5127TGMZpkiqgcZQof/yDTi44HOs8SbtxtmMZ
HJ/LDk8SwMyqjsNVzN9dnrfswK+rbTIVU08x0qrguf6LWWEvwVa/4fW6OemIbLO8
esPKMG/0Ob+PE1g2ys2OqCtscCcV84Rx4enbPPsNsTulweeOqcN8JwB97D5d77QG
Ul7DM2uv4m13tzuSzu5nfO7khHDx7l/UQfjIRiTFn29IlaO/uCjChGsAIEco5Uzd
cYNlXEgpsrbCgfOE/rxsVN/iW01awPpY4mQkWoeQJhAV3aewT/ao+MuS4QtNZhIA
1MxA58s57ufWLzjKXPC4Bg3QqnNjQRpKqc44F5JeRTWQuc8JL94RtbZlR3P0vwJv
Zll+vFwE4fyNiNwnBMEoUll9QFQfteECxH3J+yNs+RoW9v3Aqo/mj8vUP5CmYUoS
QF9MhedtP7FoX8RNdsemCHQnm+D9o/NNyIHflX+7SL9Tfmff8rgwheo0xwjB6/Xp
4x0lH2ecwmLSdZH6
=Gbga
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:17 2021
Received: from localhost ([127.0.0.1]:36251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYH-0001s0-EC
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:17 -0400
Received: from thunix.net ([188.40.73.235]:46786 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h3H-0004ax-CU
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:31:51 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 49B5333400B3; Sun, 11 Jul 2021 17:31:50 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:31:50 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 19/20] gnu: Add aparte
Message-ID: <YOtjRnX66Ki9WSRu@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/messaging.scm | 59 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index 22e1c370aa..6bfee2e15e 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -60,6 +60,7 @@
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages cpp)
+  #:use-module (gnu packages crates-io)
   #:use-module (gnu packages crypto)
   #:use-module (gnu packages curl)
   #:use-module (gnu packages cyrus-sasl)
@@ -123,6 +124,7 @@
   #:use-module (gnu packages xiph)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
+  #:use-module (guix build-system cargo)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system go)
   #:use-module (guix build-system glib-or-gtk)
@@ -3016,4 +3018,61 @@ API.  Mattermost is not required.")
     (home-page "https://github.com/42wim/matterbridge")
     (license license:asl2.0)))
 
+(define-public aparte
+  (package
+    (name "aparte")
+    (version "0.2.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "aparte" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "0qzg1052whjhcsz8n3s77kb4zvp7k0na3hikzkf5qa3z4g0hyvrp"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-backtrace" ,rust-backtrace-0.3)
+         ("rust-bytes" ,rust-bytes-0.5)
+         ("rust-chrono" ,rust-chrono-0.4)
+         ("rust-derive-error" ,rust-derive-error-0.0.4)
+         ("rust-dirs" ,rust-dirs-2)
+         ("rust-flexi-logger" ,rust-flexi-logger-0.15)
+         ("rust-futures" ,rust-futures-0.3)
+         ("rust-fuzzy-matcher" ,rust-fuzzy-matcher-0.3)
+         ("rust-hsluv" ,rust-hsluv-0.1)
+         ("rust-linked-hash-map"
+          ,rust-linked-hash-map-0.5)
+         ("rust-linked-hash-set"
+          ,rust-linked-hash-set-0.1)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-rand" ,rust-rand-0.8)
+         ("rust-rpassword" ,rust-rpassword-3)
+         ("rust-rust-crypto" ,rust-rust-crypto-0.2)
+         ("rust-serde" ,rust-serde-1)
+         ("rust-termion" ,rust-termion-1)
+         ("rust-textwrap" ,rust-textwrap-0.12)
+         ("rust-tokio" ,rust-tokio-1)
+         ("rust-tokio-xmpp" ,rust-tokio-xmpp-3)
+         ("rust-toml" ,rust-toml-0.5)
+         ("rust-unicode-segmentation"
+          ,rust-unicode-segmentation-1)
+         ("rust-uuid" ,rust-uuid-0.7)
+         ("rust-xmpp-parsers" ,rust-xmpp-parsers-0.18))
+        #:cargo-development-inputs
+        (("rust-mockall" ,rust-mockall-0.9))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("openssl" ,openssl)))
+    (home-page
+      "https://github.com/paulfariello/aparte")
+    (synopsis
+      "Simple XMPP console client written in Rust and inspired by Profanity")
+    (description
+      "Simple XMPP console client written in Rust and inspired by Profanity")
+    (license license:mpl2.0)))
+
 ;;; messaging.scm ends here
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:17 2021
Received: from localhost ([127.0.0.1]:36249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYG-0001rs-3e
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:17 -0400
Received: from thunix.net ([188.40.73.235]:46562 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h2L-0004ZT-0j
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:30:54 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 654F333400B3; Sun, 11 Jul 2021 17:30:52 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:30:52 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 20/20] Run indent-code.el on the packages i added
Message-ID: <YOtjDK6kGsLM9r1Z@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 574 ++++++++++++++++++-------------------
 gnu/packages/messaging.scm |  82 +++---
 2 files changed, 328 insertions(+), 328 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f85b096547..f215bdee73 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -5212,24 +5212,24 @@ streams in big-endian and little-endian formats.")
     (name "rust-blake2")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "blake2" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1x3qz692hfrxgw6cd94iiid6iqal2dwj6zv5137swpgg4l17598h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "blake2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1x3qz692hfrxgw6cd94iiid6iqal2dwj6zv5137swpgg4l17598h"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-crypto-mac" ,rust-crypto-mac-0.8)
-         ("rust-digest" ,rust-digest-0.9)
-         ("rust-opaque-debug" ,rust-opaque-debug-0.3))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-crypto-mac" ,rust-crypto-mac-0.8)
+        ("rust-digest" ,rust-digest-0.9)
+        ("rust-opaque-debug" ,rust-opaque-debug-0.3))))
     (home-page
-      "https://github.com/RustCrypto/hashes")
+     "https://github.com/RustCrypto/hashes")
     (synopsis "BLAKE2 hash functions")
     (description "BLAKE2 hash functions")
     (license (list license:expat license:asl2.0))))
@@ -7260,21 +7260,21 @@ used in argon2rs' bench suite.")
     (name "rust-case")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "case" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1hgc6fdg01qfh0qx5c50n717vh0xqvrlvxix8ksng5p291mid2z8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "case" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hgc6fdg01qfh0qx5c50n717vh0xqvrlvxix8ksng5p291mid2z8"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/SkylerLipthay/case")
+     "https://github.com/SkylerLipthay/case")
     (synopsis "Set of letter case string helpers")
     (description
-      "This package provides a set of letter case string helpers")
+     "This package provides a set of letter case string helpers")
     (license license:expat)))
 
 (define-public rust-cassowary-0.3
@@ -12681,28 +12681,28 @@ pattern for arbitrary structs.")
     (name "rust-derive-error")
     (version "0.0.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "derive-error" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1j624ma4jw911yg3qqlvfybgk7614k2blhg6wgnb38wyn90882gc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "derive-error" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1j624ma4jw911yg3qqlvfybgk7614k2blhg6wgnb38wyn90882gc"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-case" ,rust-case-0.1)
-         ("rust-quote" ,rust-quote-0.3)
-         ("rust-syn" ,rust-syn-0.11))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-case" ,rust-case-0.1)
+        ("rust-quote" ,rust-quote-0.3)
+        ("rust-syn" ,rust-syn-0.11))))
     (home-page
-      "https://github.com/rushmorem/derive-error")
+     "https://github.com/rushmorem/derive-error")
     (synopsis
-      "Derive macro for Error using macros 1.1")
+     "Derive macro for Error using macros 1.1")
     (description
-      "Derive macro for Error using macros 1.1")
+     "Derive macro for Error using macros 1.1")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-derive-error-chain-0.10
@@ -13726,22 +13726,22 @@ from macros.")
     (name "rust-downcast")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "downcast" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "07bh0l95gwrzak6rj29v8kkm577d8vivxsxhqgscf64b4bq59d2b"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "downcast" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "07bh0l95gwrzak6rj29v8kkm577d8vivxsxhqgscf64b4bq59d2b"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/fkoep/downcast-rs")
+     "https://github.com/fkoep/downcast-rs")
     (synopsis
-      "Trait for downcasting trait objects back to their original types")
+     "Trait for downcasting trait objects back to their original types")
     (description
-      "Trait for downcasting trait objects back to their original types")
+     "Trait for downcasting trait objects back to their original types")
     (license license:expat)))
 
 (define-public rust-downcast-rs-1
@@ -15990,40 +15990,40 @@ streams.")
     (name "rust-flexi-logger")
     (version "0.15.12")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "flexi_logger" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1gs2flpzjd4kr9jw614vaqxxz7fd56gqkr78j47q0ja1vfp3raxa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "flexi_logger" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1gs2flpzjd4kr9jw614vaqxxz7fd56gqkr78j47q0ja1vfp3raxa"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-atty" ,rust-atty-0.2)
-         ("rust-chrono" ,rust-chrono-0.4)
-         ("rust-flate2" ,rust-flate2-1)
-         ("rust-glob" ,rust-glob-0.3)
-         ("rust-hostname" ,rust-hostname-0.3)
-         ("rust-lazy-static" ,rust-lazy-static-1)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-notify" ,rust-notify-4)
-         ("rust-regex" ,rust-regex-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-serde-derive" ,rust-serde-derive-1)
-         ("rust-thiserror" ,rust-thiserror-1)
-         ("rust-toml" ,rust-toml-0.5)
-         ("rust-yansi" ,rust-yansi-0.5))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-atty" ,rust-atty-0.2)
+        ("rust-chrono" ,rust-chrono-0.4)
+        ("rust-flate2" ,rust-flate2-1)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-hostname" ,rust-hostname-0.3)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-notify" ,rust-notify-4)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-thiserror" ,rust-thiserror-1)
+        ("rust-toml" ,rust-toml-0.5)
+        ("rust-yansi" ,rust-yansi-0.5))))
     (home-page
-      "https://github.com/emabee/flexi_logger")
+     "https://github.com/emabee/flexi_logger")
     (synopsis
-      "Easy-to-configure and flexible logger")
+     "Easy-to-configure and flexible logger")
     (description
-      "Easy-to-configure and flexible logger that writes logs to stderr and/or to files")
+     "Easy-to-configure and flexible logger that writes logs to stderr and/or to files")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-float-cmp-0.8
@@ -16457,22 +16457,22 @@ syntax, as used by HTML forms.")
     (name "rust-fragile")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fragile" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1wlihmkjyhvl5rckal32p010piy1l15s6l81h7z31jcd971kk839"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fragile" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wlihmkjyhvl5rckal32p010piy1l15s6l81h7z31jcd971kk839"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/mitsuhiko/rust-fragile")
+     "https://github.com/mitsuhiko/rust-fragile")
     (synopsis
-      "Provides wrapper types for sending non-send values to other threads")
+     "Provides wrapper types for sending non-send values to other threads")
     (description
-      "Provides wrapper types for sending non-send values to other threads")
+     "Provides wrapper types for sending non-send values to other threads")
     (license license:asl2.0)))
 
 (define-public rust-fragile-0.3
@@ -20146,26 +20146,26 @@ Derivation Function (HKDF).")
     (name "rust-hmac")
     (version "0.10.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hmac" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "058yxq54x7xn0gk2vy9bl51r32c9z7qlcl2b80bjh3lk3rmiqi61"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "058yxq54x7xn0gk2vy9bl51r32c9z7qlcl2b80bjh3lk3rmiqi61"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-crypto-mac" ,rust-crypto-mac-0.10)
-         ("rust-digest" ,rust-digest-0.9))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-crypto-mac" ,rust-crypto-mac-0.10)
+        ("rust-digest" ,rust-digest-0.9))))
     (home-page "https://github.com/RustCrypto/MACs")
     (synopsis
-      "Generic implementation of Hash-based Message Authentication Code (HMAC)")
+     "Generic implementation of Hash-based Message Authentication Code (HMAC)")
     (description
-      "Generic implementation of Hash-based Message Authentication Code (HMAC)")
+     "Generic implementation of Hash-based Message Authentication Code (HMAC)")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-hmac-0.8
@@ -20332,22 +20332,22 @@ Hash-based Message Authentication Code algorithm} for SHA1.")
     (name "rust-hsluv")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hsluv" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0g5p4x9np7292fxinqj34vlys5v20hg5yqqr8vvqbw8xcl5l3rax"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hsluv" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0g5p4x9np7292fxinqj34vlys5v20hg5yqqr8vvqbw8xcl5l3rax"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/bb010g/rust-hsluv")
+     "https://github.com/bb010g/rust-hsluv")
     (synopsis
-      "Human-friendly HSL, Rust implementation (revision 4)")
+     "Human-friendly HSL, Rust implementation (revision 4)")
     (description
-      "Human-friendly HSL, Rust implementation (revision 4)")
+     "Human-friendly HSL, Rust implementation (revision 4)")
     (license license:expat)))
 
 (define-public rust-html5ever-0.25
@@ -22732,26 +22732,26 @@ byte slices for sets of ASCII characters or bytes.")
     (name "rust-jid")
     (version "0.9.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "jid" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1s3dl38wwhnx0pbzm4cnwqmmr09nfg4nv6w4yl3cmbkc2n7xipma"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "jid" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1s3dl38wwhnx0pbzm4cnwqmmr09nfg4nv6w4yl3cmbkc2n7xipma"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-minidom" ,rust-minidom-0.13)
-         ("rust-serde" ,rust-serde-1))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-minidom" ,rust-minidom-0.13)
+        ("rust-serde" ,rust-serde-1))))
     (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
     (synopsis
-      "Crate which provides a Jid struct for Jabber IDs")
+     "Crate which provides a Jid struct for Jabber IDs")
     (description
-      "This package provides a crate which provides a Jid struct for Jabber IDs.")
+     "This package provides a crate which provides a Jid struct for Jabber IDs.")
     (license license:mpl2.0)))
 
 (define-public rust-jni-0.18
@@ -24361,24 +24361,24 @@ pairs in insertion order.")
     (name "rust-linked-hash-set")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "linked_hash_set" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "124m7wiz9ah7ah58ckai413mzfglh3y1nz64qy1s676qlinnq627"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "linked_hash_set" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "124m7wiz9ah7ah58ckai413mzfglh3y1nz64qy1s676qlinnq627"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-linked-hash-map"
-          ,rust-linked-hash-map-0.5)
-         ("rust-serde" ,rust-serde-1))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-linked-hash-map"
+         ,rust-linked-hash-map-0.5)
+        ("rust-serde" ,rust-serde-1))))
     (home-page
-      "https://github.com/alexheretic/linked-hash-set")
+     "https://github.com/alexheretic/linked-hash-set")
     (synopsis "HashSet with insertion ordering")
     (description "HashSet with insertion ordering")
     (license license:asl2.0)))
@@ -26364,25 +26364,25 @@ file's MIME type by its extension.")
     (name "rust-minidom")
     (version "0.13.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "minidom" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "13k0ngkwgj0zgn0zkkklnj274q351mpyzjaglr0dviwz2k19499k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "minidom" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "13k0ngkwgj0zgn0zkkklnj274q351mpyzjaglr0dviwz2k19499k"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-quick-xml" ,rust-quick-xml-0.20))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-quick-xml" ,rust-quick-xml-0.20))))
     (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
     (synopsis
-      "Small, simple DOM implementation on top of quick-xml")
+     "Small, simple DOM implementation on top of quick-xml")
     (description
-      "This package provides a small, simple DOM implementation on top of quick-xml")
+     "This package provides a small, simple DOM implementation on top of quick-xml")
     (license license:mpl2.0)))
 
 (define-public rust-miniz-oxide-0.4
@@ -26772,32 +26772,32 @@ IOCP and Async I/O abstractions.")
     (name "rust-mockall")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "mockall" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1m9kpv4523503v48ahyzk9g2rabvbjl70mlbkc8mkfzr4fni9mhq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "mockall" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1m9kpv4523503v48ahyzk9g2rabvbjl70mlbkc8mkfzr4fni9mhq"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-cfg-if" ,rust-cfg-if-1)
-         ("rust-downcast" ,rust-downcast-0.10)
-         ("rust-fragile" ,rust-fragile-1)
-         ("rust-lazy-static" ,rust-lazy-static-1)
-         ("rust-mockall-derive" ,rust-mockall-derive-0.9)
-         ("rust-predicates" ,rust-predicates-1)
-         ("rust-predicates-tree" ,rust-predicates-tree-1))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-downcast" ,rust-downcast-0.10)
+        ("rust-fragile" ,rust-fragile-1)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-mockall-derive" ,rust-mockall-derive-0.9)
+        ("rust-predicates" ,rust-predicates-1)
+        ("rust-predicates-tree" ,rust-predicates-tree-1))))
     (home-page "https://github.com/asomers/mockall")
     (synopsis
-      "Powerful mock object library for Rust
+     "Powerful mock object library for Rust
 ")
     (description
-      "This package provides a powerful mock object library for Rust
+     "This package provides a powerful mock object library for Rust
 ")
     (license (list license:expat license:asl2.0))))
 
@@ -26806,23 +26806,23 @@ IOCP and Async I/O abstractions.")
     (name "rust-mockall-derive")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "mockall_derive" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1snywdscj3chgs0xqr5700dsw2hy0qwd0s3kdk4nz85w6m327m2x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "mockall_derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1snywdscj3chgs0xqr5700dsw2hy0qwd0s3kdk4nz85w6m327m2x"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-cfg-if" ,rust-cfg-if-1)
-         ("rust-proc-macro2" ,rust-proc-macro2-1)
-         ("rust-quote" ,rust-quote-1)
-         ("rust-syn" ,rust-syn-1))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-syn" ,rust-syn-1))))
     (home-page "https://github.com/asomers/mockall")
     (synopsis "Procedural macros for Mockall
 ")
@@ -31258,29 +31258,29 @@ directory path to the provided path.")
     (name "rust-pbkdf2")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pbkdf2" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0jjaapyawm5iqn97mmfj40dvipsy78cm80qcva28009l2zbw1f5k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pbkdf2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0jjaapyawm5iqn97mmfj40dvipsy78cm80qcva28009l2zbw1f5k"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-base64" ,rust-base64-0.13)
-         ("rust-crypto-mac" ,rust-crypto-mac-0.10)
-         ("rust-hmac" ,rust-hmac-0.10)
-         ("rust-rand" ,rust-rand-0.7)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-rayon" ,rust-rayon-1)
-         ("rust-sha2" ,rust-sha2-0.9)
-         ("rust-subtle" ,rust-subtle-2))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-base64" ,rust-base64-0.13)
+        ("rust-crypto-mac" ,rust-crypto-mac-0.10)
+        ("rust-hmac" ,rust-hmac-0.10)
+        ("rust-rand" ,rust-rand-0.7)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-sha2" ,rust-sha2-0.9)
+        ("rust-subtle" ,rust-subtle-2))))
     (home-page
-      "https://github.com/RustCrypto/password-hashes/tree/master/pbkdf2")
+     "https://github.com/RustCrypto/password-hashes/tree/master/pbkdf2")
     (synopsis "Generic implementation of PBKDF2")
     (description "Generic implementation of PBKDF2")
     (license (list license:expat license:asl2.0))))
@@ -42178,25 +42178,25 @@ functions core functionality.")
     (name "rust-sha3")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sha3" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "02d85wpvz75a0n7r2da15ikqjwzamhii11qy9gqf6pafgm0rj4gq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sha3" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "02d85wpvz75a0n7r2da15ikqjwzamhii11qy9gqf6pafgm0rj4gq"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-block-buffer" ,rust-block-buffer-0.9)
-         ("rust-digest" ,rust-digest-0.9)
-         ("rust-keccak" ,rust-keccak-0.1)
-         ("rust-opaque-debug" ,rust-opaque-debug-0.3))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-block-buffer" ,rust-block-buffer-0.9)
+        ("rust-digest" ,rust-digest-0.9)
+        ("rust-keccak" ,rust-keccak-0.1)
+        ("rust-opaque-debug" ,rust-opaque-debug-0.3))))
     (home-page
-      "https://github.com/RustCrypto/hashes")
+     "https://github.com/RustCrypto/hashes")
     (synopsis "SHA-3 (Keccak) hash function")
     (description "SHA-3 (Keccak) hash function")
     (license (list license:expat license:asl2.0))))
@@ -49642,42 +49642,42 @@ stream-based WebSocket implementation.")
     (name "rust-tokio-xmpp")
     (version "3.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "tokio-xmpp" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0f8s4gsv9zs6rlkc40jjglcm0prq10ypxszrwvpxhjbygbxrzb2n"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tokio-xmpp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0f8s4gsv9zs6rlkc40jjglcm0prq10ypxszrwvpxhjbygbxrzb2n"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-bytes" ,rust-bytes-1)
-         ("rust-futures" ,rust-futures-0.3)
-         ("rust-idna" ,rust-idna-0.2)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-native-tls" ,rust-native-tls-0.2)
-         ("rust-rustc-version" ,rust-rustc-version-0.3)
-         ("rust-sasl" ,rust-sasl-0.5)
-         ("rust-tokio" ,rust-tokio-1)
-         ("rust-tokio-native-tls"
-          ,rust-tokio-native-tls-0.3)
-         ("rust-tokio-stream" ,rust-tokio-stream-0.1)
-         ("rust-tokio-util" ,rust-tokio-util-0.6)
-         ("rust-trust-dns-proto"
-          ,rust-trust-dns-proto-0.20)
-         ("rust-trust-dns-resolver"
-          ,rust-trust-dns-resolver-0.20)
-         ("rust-xml5ever" ,rust-xml5ever-0.16)
-         ("rust-xmpp-parsers" ,rust-xmpp-parsers-0.18))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-bytes" ,rust-bytes-1)
+        ("rust-futures" ,rust-futures-0.3)
+        ("rust-idna" ,rust-idna-0.2)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-native-tls" ,rust-native-tls-0.2)
+        ("rust-rustc-version" ,rust-rustc-version-0.3)
+        ("rust-sasl" ,rust-sasl-0.5)
+        ("rust-tokio" ,rust-tokio-1)
+        ("rust-tokio-native-tls"
+         ,rust-tokio-native-tls-0.3)
+        ("rust-tokio-stream" ,rust-tokio-stream-0.1)
+        ("rust-tokio-util" ,rust-tokio-util-0.6)
+        ("rust-trust-dns-proto"
+         ,rust-trust-dns-proto-0.20)
+        ("rust-trust-dns-resolver"
+         ,rust-trust-dns-resolver-0.20)
+        ("rust-xml5ever" ,rust-xml5ever-0.16)
+        ("rust-xmpp-parsers" ,rust-xmpp-parsers-0.18))))
     (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
     (synopsis
-      "Asynchronous XMPP for Rust with tokio")
+     "Asynchronous XMPP for Rust with tokio")
     (description
-      "Asynchronous XMPP for Rust with tokio")
+     "Asynchronous XMPP for Rust with tokio")
     (license license:mpl2.0)))
 
 (define-public rust-toml-0.5
@@ -55081,33 +55081,33 @@ parser.")
     (name "rust-xmpp-parsers")
     (version "0.18.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "xmpp-parsers" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "064bjmngy0abcp9wcms7h5b13rljr0isliy83csaa0j7xyjmpkq1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "xmpp-parsers" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "064bjmngy0abcp9wcms7h5b13rljr0isliy83csaa0j7xyjmpkq1"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-base64" ,rust-base64-0.13)
-         ("rust-blake2" ,rust-blake2-0.9)
-         ("rust-chrono" ,rust-chrono-0.4)
-         ("rust-digest" ,rust-digest-0.9)
-         ("rust-jid" ,rust-jid-0.9)
-         ("rust-minidom" ,rust-minidom-0.13)
-         ("rust-sha-1" ,rust-sha-1-0.9)
-         ("rust-sha2" ,rust-sha2-0.9)
-         ("rust-sha3" ,rust-sha3-0.9))))
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-base64" ,rust-base64-0.13)
+        ("rust-blake2" ,rust-blake2-0.9)
+        ("rust-chrono" ,rust-chrono-0.4)
+        ("rust-digest" ,rust-digest-0.9)
+        ("rust-jid" ,rust-jid-0.9)
+        ("rust-minidom" ,rust-minidom-0.13)
+        ("rust-sha-1" ,rust-sha-1-0.9)
+        ("rust-sha2" ,rust-sha2-0.9)
+        ("rust-sha3" ,rust-sha3-0.9))))
     (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
     (synopsis
-      "Collection of parsers and serialisers for XMPP extensions")
+     "Collection of parsers and serialisers for XMPP extensions")
     (description
-      "Collection of parsers and serialisers for XMPP extensions")
+     "Collection of parsers and serialisers for XMPP extensions")
     (license license:mpl2.0)))
 
 (define-public rust-xshell-macros-0.1
diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index 6bfee2e15e..9d08347583 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -3023,56 +3023,56 @@ API.  Mattermost is not required.")
     (name "aparte")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "aparte" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0qzg1052whjhcsz8n3s77kb4zvp7k0na3hikzkf5qa3z4g0hyvrp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "aparte" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0qzg1052whjhcsz8n3s77kb4zvp7k0na3hikzkf5qa3z4g0hyvrp"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:cargo-inputs
-        (("rust-backtrace" ,rust-backtrace-0.3)
-         ("rust-bytes" ,rust-bytes-0.5)
-         ("rust-chrono" ,rust-chrono-0.4)
-         ("rust-derive-error" ,rust-derive-error-0.0.4)
-         ("rust-dirs" ,rust-dirs-2)
-         ("rust-flexi-logger" ,rust-flexi-logger-0.15)
-         ("rust-futures" ,rust-futures-0.3)
-         ("rust-fuzzy-matcher" ,rust-fuzzy-matcher-0.3)
-         ("rust-hsluv" ,rust-hsluv-0.1)
-         ("rust-linked-hash-map"
-          ,rust-linked-hash-map-0.5)
-         ("rust-linked-hash-set"
-          ,rust-linked-hash-set-0.1)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-rand" ,rust-rand-0.8)
-         ("rust-rpassword" ,rust-rpassword-3)
-         ("rust-rust-crypto" ,rust-rust-crypto-0.2)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-termion" ,rust-termion-1)
-         ("rust-textwrap" ,rust-textwrap-0.12)
-         ("rust-tokio" ,rust-tokio-1)
-         ("rust-tokio-xmpp" ,rust-tokio-xmpp-3)
-         ("rust-toml" ,rust-toml-0.5)
-         ("rust-unicode-segmentation"
-          ,rust-unicode-segmentation-1)
-         ("rust-uuid" ,rust-uuid-0.7)
-         ("rust-xmpp-parsers" ,rust-xmpp-parsers-0.18))
-        #:cargo-development-inputs
-        (("rust-mockall" ,rust-mockall-0.9))))
+     `(#:cargo-inputs
+       (("rust-backtrace" ,rust-backtrace-0.3)
+        ("rust-bytes" ,rust-bytes-0.5)
+        ("rust-chrono" ,rust-chrono-0.4)
+        ("rust-derive-error" ,rust-derive-error-0.0.4)
+        ("rust-dirs" ,rust-dirs-2)
+        ("rust-flexi-logger" ,rust-flexi-logger-0.15)
+        ("rust-futures" ,rust-futures-0.3)
+        ("rust-fuzzy-matcher" ,rust-fuzzy-matcher-0.3)
+        ("rust-hsluv" ,rust-hsluv-0.1)
+        ("rust-linked-hash-map"
+         ,rust-linked-hash-map-0.5)
+        ("rust-linked-hash-set"
+         ,rust-linked-hash-set-0.1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-rpassword" ,rust-rpassword-3)
+        ("rust-rust-crypto" ,rust-rust-crypto-0.2)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-termion" ,rust-termion-1)
+        ("rust-textwrap" ,rust-textwrap-0.12)
+        ("rust-tokio" ,rust-tokio-1)
+        ("rust-tokio-xmpp" ,rust-tokio-xmpp-3)
+        ("rust-toml" ,rust-toml-0.5)
+        ("rust-unicode-segmentation"
+         ,rust-unicode-segmentation-1)
+        ("rust-uuid" ,rust-uuid-0.7)
+        ("rust-xmpp-parsers" ,rust-xmpp-parsers-0.18))
+       #:cargo-development-inputs
+       (("rust-mockall" ,rust-mockall-0.9))))
     (native-inputs
      `(("pkg-config" ,pkg-config)))
     (inputs
      `(("openssl" ,openssl)))
     (home-page
-      "https://github.com/paulfariello/aparte")
+     "https://github.com/paulfariello/aparte")
     (synopsis
-      "Simple XMPP console client written in Rust and inspired by Profanity")
+     "Simple XMPP console client written in Rust and inspired by Profanity")
     (description
-      "Simple XMPP console client written in Rust and inspired by Profanity")
+     "Simple XMPP console client written in Rust and inspired by Profanity")
     (license license:mpl2.0)))
 
 ;;; messaging.scm ends here
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:16 2021
Received: from localhost ([127.0.0.1]:36247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYF-0001rk-RO
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:16 -0400
Received: from thunix.net ([188.40.73.235]:46548 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h2F-0004Z7-Bi
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:30:47 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id AE9D033400B3; Sun, 11 Jul 2021 17:30:46 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:30:46 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 18/20] gnu: Add rust-tokio-xmpp
Message-ID: <YOtjBt84J5jZObYZ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 43 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9bd91b0b7d..f85b096547 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -49637,6 +49637,49 @@ stream-based WebSocket implementation.")
         ("rust-tokio" ,rust-tokio-0.2)
         ("rust-tokio-test" ,rust-tokio-test-0.2))))))
 
+(define-public rust-tokio-xmpp-3
+  (package
+    (name "rust-tokio-xmpp")
+    (version "3.0.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "tokio-xmpp" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "0f8s4gsv9zs6rlkc40jjglcm0prq10ypxszrwvpxhjbygbxrzb2n"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-bytes" ,rust-bytes-1)
+         ("rust-futures" ,rust-futures-0.3)
+         ("rust-idna" ,rust-idna-0.2)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-native-tls" ,rust-native-tls-0.2)
+         ("rust-rustc-version" ,rust-rustc-version-0.3)
+         ("rust-sasl" ,rust-sasl-0.5)
+         ("rust-tokio" ,rust-tokio-1)
+         ("rust-tokio-native-tls"
+          ,rust-tokio-native-tls-0.3)
+         ("rust-tokio-stream" ,rust-tokio-stream-0.1)
+         ("rust-tokio-util" ,rust-tokio-util-0.6)
+         ("rust-trust-dns-proto"
+          ,rust-trust-dns-proto-0.20)
+         ("rust-trust-dns-resolver"
+          ,rust-trust-dns-resolver-0.20)
+         ("rust-xml5ever" ,rust-xml5ever-0.16)
+         ("rust-xmpp-parsers" ,rust-xmpp-parsers-0.18))))
+    (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
+    (synopsis
+      "Asynchronous XMPP for Rust with tokio")
+    (description
+      "Asynchronous XMPP for Rust with tokio")
+    (license license:mpl2.0)))
+
 (define-public rust-toml-0.5
   (package
     (name "rust-toml")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:15 2021
Received: from localhost ([127.0.0.1]:36245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYF-0001rd-Gc
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:15 -0400
Received: from thunix.net ([188.40.73.235]:46504 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h28-0004Yg-99
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:30:40 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 9CF1F33400B3; Sun, 11 Jul 2021 17:30:39 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:30:39 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 17/20] gnu: Add rust-xmpp-parsers
Message-ID: <YOti/6mcQBY1PRip@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f2e32d6172..9bd91b0b7d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -55033,6 +55033,40 @@ to XDG Base Directory specification.")
 parser.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-xmpp-parsers-0.18
+  (package
+    (name "rust-xmpp-parsers")
+    (version "0.18.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "xmpp-parsers" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "064bjmngy0abcp9wcms7h5b13rljr0isliy83csaa0j7xyjmpkq1"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-base64" ,rust-base64-0.13)
+         ("rust-blake2" ,rust-blake2-0.9)
+         ("rust-chrono" ,rust-chrono-0.4)
+         ("rust-digest" ,rust-digest-0.9)
+         ("rust-jid" ,rust-jid-0.9)
+         ("rust-minidom" ,rust-minidom-0.13)
+         ("rust-sha-1" ,rust-sha-1-0.9)
+         ("rust-sha2" ,rust-sha2-0.9)
+         ("rust-sha3" ,rust-sha3-0.9))))
+    (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
+    (synopsis
+      "Collection of parsers and serialisers for XMPP extensions")
+    (description
+      "Collection of parsers and serialisers for XMPP extensions")
+    (license license:mpl2.0)))
+
 (define-public rust-xshell-macros-0.1
   (package
     (name "rust-xshell-macros")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:15 2021
Received: from localhost ([127.0.0.1]:36243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYF-0001rW-6Z
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:15 -0400
Received: from thunix.net ([188.40.73.235]:46492 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h23-0004YO-C8
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:30:35 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id AEEBB33400B3; Sun, 11 Jul 2021 17:30:34 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:30:34 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 16/20] gnu: Add rust-jid
Message-ID: <YOti+gMC7h8B8QLV@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 29 ++++++++++++++++++++++++++++-
 1 file changed, 28 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 44ae54f84c..f2e32d6172 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -22727,6 +22727,33 @@ primitives to an @code{io::Write}.")
 byte slices for sets of ASCII characters or bytes.")
     (license license:expat)))
 
+(define-public rust-jid-0.9
+  (package
+    (name "rust-jid")
+    (version "0.9.2")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "jid" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "1s3dl38wwhnx0pbzm4cnwqmmr09nfg4nv6w4yl3cmbkc2n7xipma"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-minidom" ,rust-minidom-0.13)
+         ("rust-serde" ,rust-serde-1))))
+    (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
+    (synopsis
+      "Crate which provides a Jid struct for Jabber IDs")
+    (description
+      "This package provides a crate which provides a Jid struct for Jabber IDs.")
+    (license license:mpl2.0)))
+
 (define-public rust-jni-0.18
   (package
     (name "rust-jni")
@@ -39611,7 +39638,7 @@ motivation for writing this library.
     (synopsis
       "Crate for SASL authentication. Currently only does the client side")
     (description
-      "This package provides a crate for SASL authentication.  Currently only does the client side")
+      "Crate for SASL authentication.  Currently only does the client side")
     (license license:lgpl3+)))
 
 (define-public rust-scan-fmt-0.2
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:15 2021
Received: from localhost ([127.0.0.1]:36241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYE-0001rP-TH
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:15 -0400
Received: from thunix.net ([188.40.73.235]:46468 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h1x-0004Y2-20
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:30:29 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 1DEB533400B3; Sun, 11 Jul 2021 17:30:27 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:30:27 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 15/20] gnu: Add rust-sasl
Message-ID: <YOti8pJdYiP/uDQ1@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 0e57d3c145..44ae54f84c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -39583,6 +39583,37 @@ motivation for writing this library.
 @end itemize")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-sasl-0.5
+  (package
+    (name "rust-sasl")
+    (version "0.5.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "sasl" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "1j9d6q580r18i90ksr0frjks3mzll73966p2rp0vn9w90b77sbap"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-base64" ,rust-base64-0.13)
+         ("rust-getrandom" ,rust-getrandom-0.2)
+         ("rust-hmac" ,rust-hmac-0.10)
+         ("rust-pbkdf2" ,rust-pbkdf2-0.6)
+         ("rust-sha-1" ,rust-sha-1-0.9)
+         ("rust-sha2" ,rust-sha2-0.9))))
+    (home-page "https://gitlab.com/lumi/sasl-rs")
+    (synopsis
+      "Crate for SASL authentication. Currently only does the client side")
+    (description
+      "This package provides a crate for SASL authentication.  Currently only does the client side")
+    (license license:lgpl3+)))
+
 (define-public rust-scan-fmt-0.2
   (package
     (name "rust-scan-fmt")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:14 2021
Received: from localhost ([127.0.0.1]:36239 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYE-0001rH-JN
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:14 -0400
Received: from thunix.net ([188.40.73.235]:46438 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h1q-0004Xf-BJ
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:30:22 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id A175C33400B3; Sun, 11 Jul 2021 17:30:21 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:30:21 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 14/20] gnu: Add rust-mockall
Message-ID: <YOti7Wc6AIqrFC7w@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2a9e477aaf..0e57d3c145 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -26740,6 +26740,39 @@ IOCP and Async I/O abstractions.")
        #:cargo-development-inputs
        (("rust-rand" ,rust-rand-0.3))))))
 
+(define-public rust-mockall-0.9
+  (package
+    (name "rust-mockall")
+    (version "0.9.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "mockall" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "1m9kpv4523503v48ahyzk9g2rabvbjl70mlbkc8mkfzr4fni9mhq"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-cfg-if" ,rust-cfg-if-1)
+         ("rust-downcast" ,rust-downcast-0.10)
+         ("rust-fragile" ,rust-fragile-1)
+         ("rust-lazy-static" ,rust-lazy-static-1)
+         ("rust-mockall-derive" ,rust-mockall-derive-0.9)
+         ("rust-predicates" ,rust-predicates-1)
+         ("rust-predicates-tree" ,rust-predicates-tree-1))))
+    (home-page "https://github.com/asomers/mockall")
+    (synopsis
+      "Powerful mock object library for Rust
+")
+    (description
+      "This package provides a powerful mock object library for Rust
+")
+    (license (list license:expat license:asl2.0))))
 
 (define-public rust-mockall-derive-0.9
   (package
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:14 2021
Received: from localhost ([127.0.0.1]:36237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYE-0001rA-9S
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:14 -0400
Received: from thunix.net ([188.40.73.235]:46418 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h1k-0004XJ-Jg
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:30:16 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id B535E33400B3; Sun, 11 Jul 2021 17:30:15 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:30:15 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 13/20] gnu: Add rust-mockall-derive
Message-ID: <YOti5/jJq95LuDz0@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 5389f69934..2a9e477aaf 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -26740,6 +26740,36 @@ IOCP and Async I/O abstractions.")
        #:cargo-development-inputs
        (("rust-rand" ,rust-rand-0.3))))))
 
+
+(define-public rust-mockall-derive-0.9
+  (package
+    (name "rust-mockall-derive")
+    (version "0.9.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "mockall_derive" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "1snywdscj3chgs0xqr5700dsw2hy0qwd0s3kdk4nz85w6m327m2x"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-cfg-if" ,rust-cfg-if-1)
+         ("rust-proc-macro2" ,rust-proc-macro2-1)
+         ("rust-quote" ,rust-quote-1)
+         ("rust-syn" ,rust-syn-1))))
+    (home-page "https://github.com/asomers/mockall")
+    (synopsis "Procedural macros for Mockall
+")
+    (description "Procedural macros for Mockall
+")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-mockito-0.23
   (package
     (name "rust-mockito")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:14 2021
Received: from localhost ([127.0.0.1]:36235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYE-0001r3-0B
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:14 -0400
Received: from thunix.net ([188.40.73.235]:46396 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h1e-0004Ws-30
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:30:10 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 5253F33400B3; Sun, 11 Jul 2021 17:30:09 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:30:09 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 12/20] gnu: Add rust-sha3
Message-ID: <YOti4ej/4gA8UctV@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b65ea9568f..5389f69934 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -42052,6 +42052,34 @@ functions core functionality.")
        (("rust-gcc" ,rust-gcc-0.3)
         ("rust-generic-array" ,rust-generic-array-0.8))))))
 
+(define-public rust-sha3-0.9
+  (package
+    (name "rust-sha3")
+    (version "0.9.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "sha3" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "02d85wpvz75a0n7r2da15ikqjwzamhii11qy9gqf6pafgm0rj4gq"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-block-buffer" ,rust-block-buffer-0.9)
+         ("rust-digest" ,rust-digest-0.9)
+         ("rust-keccak" ,rust-keccak-0.1)
+         ("rust-opaque-debug" ,rust-opaque-debug-0.3))))
+    (home-page
+      "https://github.com/RustCrypto/hashes")
+    (synopsis "SHA-3 (Keccak) hash function")
+    (description "SHA-3 (Keccak) hash function")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-shader-version-0.6
   (package
     (name "rust-shader-version")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:14 2021
Received: from localhost ([127.0.0.1]:36233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYD-0001qv-Mg
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:13 -0400
Received: from thunix.net ([188.40.73.235]:46378 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h1X-0004VV-Fb
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:30:03 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id BC9EC33400B3; Sun, 11 Jul 2021 17:30:02 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:30:02 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 11/20] gnu: rust-pbkdf2: Update to 0.6
Message-ID: <YOti2uf3P812X5tw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b60d07c15b..b65ea9568f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -31163,6 +31163,38 @@ path.Clean.")
 directory path to the provided path.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-pbkdf2-0.6
+  (package
+    (name "rust-pbkdf2")
+    (version "0.6.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "pbkdf2" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "0jjaapyawm5iqn97mmfj40dvipsy78cm80qcva28009l2zbw1f5k"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-base64" ,rust-base64-0.13)
+         ("rust-crypto-mac" ,rust-crypto-mac-0.10)
+         ("rust-hmac" ,rust-hmac-0.10)
+         ("rust-rand" ,rust-rand-0.7)
+         ("rust-rand-core" ,rust-rand-core-0.5)
+         ("rust-rayon" ,rust-rayon-1)
+         ("rust-sha2" ,rust-sha2-0.9)
+         ("rust-subtle" ,rust-subtle-2))))
+    (home-page
+      "https://github.com/RustCrypto/password-hashes/tree/master/pbkdf2")
+    (synopsis "Generic implementation of PBKDF2")
+    (description "Generic implementation of PBKDF2")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-pbkdf2-0.4
   (package
     (name "rust-pbkdf2")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:13 2021
Received: from localhost ([127.0.0.1]:36231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYD-0001qn-EE
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:13 -0400
Received: from thunix.net ([188.40.73.235]:46346 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h1Q-0004UR-18
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:29:56 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 6007733400B3; Sun, 11 Jul 2021 17:29:55 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:29:55 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 10/20] gnu: Add rust-linked-hash-set
Message-ID: <YOti073u1vA9dv61@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 16e2b33e4b..b60d07c15b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -24329,6 +24329,33 @@ pairs in insertion order.")
         ("rust-serde" ,rust-serde-0.8)
         ("rust-serde-test" ,rust-serde-test-0.8))))))
 
+(define-public rust-linked-hash-set-0.1
+  (package
+    (name "rust-linked-hash-set")
+    (version "0.1.4")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "linked_hash_set" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "124m7wiz9ah7ah58ckai413mzfglh3y1nz64qy1s676qlinnq627"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-linked-hash-map"
+          ,rust-linked-hash-map-0.5)
+         ("rust-serde" ,rust-serde-1))))
+    (home-page
+      "https://github.com/alexheretic/linked-hash-set")
+    (synopsis "HashSet with insertion ordering")
+    (description "HashSet with insertion ordering")
+    (license license:asl2.0)))
+
 (define-public rust-linkify-0.4
   (package
     (name "rust-linkify")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:13 2021
Received: from localhost ([127.0.0.1]:36229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYC-0001qg-VP
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:13 -0400
Received: from thunix.net ([188.40.73.235]:46250 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h13-0004Tm-NK
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:29:34 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 1542533400B3; Sun, 11 Jul 2021 17:29:33 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:29:32 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 09/20] gnu: Add rust-minidom
Message-ID: <YOtivEpTRxkOgVhI@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 5daaffaa52..16e2b33e4b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -26305,6 +26305,32 @@ file's MIME type by its extension.")
         ("rust-phf-codegen" ,rust-phf-codegen-0.7)
         ("rust-unicase" ,rust-unicase-1))))))
 
+(define-public rust-minidom-0.13
+  (package
+    (name "rust-minidom")
+    (version "0.13.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "minidom" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "13k0ngkwgj0zgn0zkkklnj274q351mpyzjaglr0dviwz2k19499k"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-quick-xml" ,rust-quick-xml-0.20))))
+    (home-page "https://gitlab.com/xmpp-rs/xmpp-rs")
+    (synopsis
+      "Small, simple DOM implementation on top of quick-xml")
+    (description
+      "This package provides a small, simple DOM implementation on top of quick-xml")
+    (license license:mpl2.0)))
+
 (define-public rust-miniz-oxide-0.4
   (package
     (name "rust-miniz-oxide")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:13 2021
Received: from localhost ([127.0.0.1]:36227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYC-0001qZ-LJ
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:12 -0400
Received: from thunix.net ([188.40.73.235]:46190 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h0w-0004TP-NE
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:29:27 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 15B1533400B3; Sun, 11 Jul 2021 17:29:25 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:29:25 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 08/20] gnu: Add rust-hsluv
Message-ID: <YOtitVu/Ac4o35wg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2ac2230490..5daaffaa52 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -20327,6 +20327,29 @@ Hash-based Message Authentication Code algorithm} for SHA1.")
        (("rust-libc" ,rust-libc-0.2)
         ("rust-winutil" ,rust-winutil-0.1))))))
 
+(define-public rust-hsluv-0.1
+  (package
+    (name "rust-hsluv")
+    (version "0.1.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "hsluv" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "0g5p4x9np7292fxinqj34vlys5v20hg5yqqr8vvqbw8xcl5l3rax"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page
+      "https://github.com/bb010g/rust-hsluv")
+    (synopsis
+      "Human-friendly HSL, Rust implementation (revision 4)")
+    (description
+      "Human-friendly HSL, Rust implementation (revision 4)")
+    (license license:expat)))
+
 (define-public rust-html5ever-0.25
   (package
     (name "rust-html5ever")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:12 2021
Received: from localhost ([127.0.0.1]:36225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYC-0001qR-AB
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:12 -0400
Received: from thunix.net ([188.40.73.235]:46136 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h0r-0004T1-DB
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:29:21 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id BB3BB33400B3; Sun, 11 Jul 2021 17:29:20 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:29:20 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 07/20] gnu: rust-hmac: Update to 0.10
Message-ID: <YOtisA3rjKuVZik8@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 258649f6a0..2ac2230490 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -20141,6 +20141,33 @@ Derivation Function (HKDF).")
        (("rust-digest" ,rust-digest-0.8)
         ("rust-hmac" ,rust-hmac-0.7))))))
 
+(define-public rust-hmac-0.10
+  (package
+    (name "rust-hmac")
+    (version "0.10.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "hmac" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "058yxq54x7xn0gk2vy9bl51r32c9z7qlcl2b80bjh3lk3rmiqi61"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-crypto-mac" ,rust-crypto-mac-0.10)
+         ("rust-digest" ,rust-digest-0.9))))
+    (home-page "https://github.com/RustCrypto/MACs")
+    (synopsis
+      "Generic implementation of Hash-based Message Authentication Code (HMAC)")
+    (description
+      "Generic implementation of Hash-based Message Authentication Code (HMAC)")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-hmac-0.8
   (package
     (name "rust-hmac")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:12 2021
Received: from localhost ([127.0.0.1]:36223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYC-0001qK-15
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:12 -0400
Received: from thunix.net ([188.40.73.235]:46110 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h0l-0004Sj-Rn
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:29:16 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 3717D33400B3; Sun, 11 Jul 2021 17:29:14 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:29:14 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 06/20] gnu: rust-fragile: Update to 1.0
Message-ID: <YOtiqtuKcgtiFFMu@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index e322661709..258649f6a0 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -16452,6 +16452,29 @@ implementation that is more efficient for smaller hash keys.")
 syntax, as used by HTML forms.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-fragile-1
+  (package
+    (name "rust-fragile")
+    (version "1.0.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "fragile" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "1wlihmkjyhvl5rckal32p010piy1l15s6l81h7z31jcd971kk839"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page
+      "https://github.com/mitsuhiko/rust-fragile")
+    (synopsis
+      "Provides wrapper types for sending non-send values to other threads")
+    (description
+      "Provides wrapper types for sending non-send values to other threads")
+    (license license:asl2.0)))
+
 (define-public rust-fragile-0.3
   (package
     (name "rust-fragile")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:12 2021
Received: from localhost ([127.0.0.1]:36221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYB-0001qD-O3
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:11 -0400
Received: from thunix.net ([188.40.73.235]:46088 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h0c-0004SI-23
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:29:06 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 233AE33400B3; Sun, 11 Jul 2021 17:29:05 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:29:05 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 05/20] gnu: Add rust-flexi-logger
Message-ID: <YOtioWrSiV5Wm4OH@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 41 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d3641af193..e322661709 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -15985,6 +15985,47 @@ Reader/Writer streams.  Contains bindings for zlib, deflate, and gzip-based
 streams.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-flexi-logger-0.15
+  (package
+    (name "rust-flexi-logger")
+    (version "0.15.12")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "flexi_logger" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "1gs2flpzjd4kr9jw614vaqxxz7fd56gqkr78j47q0ja1vfp3raxa"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-atty" ,rust-atty-0.2)
+         ("rust-chrono" ,rust-chrono-0.4)
+         ("rust-flate2" ,rust-flate2-1)
+         ("rust-glob" ,rust-glob-0.3)
+         ("rust-hostname" ,rust-hostname-0.3)
+         ("rust-lazy-static" ,rust-lazy-static-1)
+         ("rust-libc" ,rust-libc-0.2)
+         ("rust-log" ,rust-log-0.4)
+         ("rust-notify" ,rust-notify-4)
+         ("rust-regex" ,rust-regex-1)
+         ("rust-serde" ,rust-serde-1)
+         ("rust-serde-derive" ,rust-serde-derive-1)
+         ("rust-thiserror" ,rust-thiserror-1)
+         ("rust-toml" ,rust-toml-0.5)
+         ("rust-yansi" ,rust-yansi-0.5))))
+    (home-page
+      "https://github.com/emabee/flexi_logger")
+    (synopsis
+      "Easy-to-configure and flexible logger")
+    (description
+      "Easy-to-configure and flexible logger that writes logs to stderr and/or to files")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-float-cmp-0.8
   (package
     (name "rust-float-cmp")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:11 2021
Received: from localhost ([127.0.0.1]:36219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYB-0001q5-Fy
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:11 -0400
Received: from thunix.net ([188.40.73.235]:46062 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h0U-0004Ra-Lj
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:28:58 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 01DC533400B3; Sun, 11 Jul 2021 17:28:57 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:28:57 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 04/20] gnu: Add rust-downcast
Message-ID: <YOtimRRXEI6S9cqQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2ac7bc0c2e..d3641af193 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -13721,6 +13721,29 @@ from macros.")
         ("rust-rustc-serialize" ,rust-rustc-serialize-0.3)
         ("rust-strsim" ,rust-strsim-0.5))))))
 
+(define-public rust-downcast-0.10
+  (package
+    (name "rust-downcast")
+    (version "0.10.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "downcast" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "07bh0l95gwrzak6rj29v8kkm577d8vivxsxhqgscf64b4bq59d2b"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page
+      "https://github.com/fkoep/downcast-rs")
+    (synopsis
+      "Trait for downcasting trait objects back to their original types")
+    (description
+      "Trait for downcasting trait objects back to their original types")
+    (license license:expat)))
+
 (define-public rust-downcast-rs-1
   (package
     (name "rust-downcast-rs")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:11 2021
Received: from localhost ([127.0.0.1]:36217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYB-0001py-6l
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:11 -0400
Received: from thunix.net ([188.40.73.235]:46028 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h0K-0004RC-C4
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:28:48 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id A5CA533400B3; Sun, 11 Jul 2021 17:28:47 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:28:47 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 03/20] gnu: Add rust-derive-error
Message-ID: <YOtijxznbPNSLuAB@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c5605fa82c..2ac7bc0c2e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -12676,6 +12676,35 @@ for arbitrary structs.")
 pattern for arbitrary structs.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-derive-error-0.0.4
+  (package
+    (name "rust-derive-error")
+    (version "0.0.4")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "derive-error" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "1j624ma4jw911yg3qqlvfybgk7614k2blhg6wgnb38wyn90882gc"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-case" ,rust-case-0.1)
+         ("rust-quote" ,rust-quote-0.3)
+         ("rust-syn" ,rust-syn-0.11))))
+    (home-page
+      "https://github.com/rushmorem/derive-error")
+    (synopsis
+      "Derive macro for Error using macros 1.1")
+    (description
+      "Derive macro for Error using macros 1.1")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-derive-error-chain-0.10
   (package
     (name "rust-derive-error-chain")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:11 2021
Received: from localhost ([127.0.0.1]:36215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nYA-0001pr-Tv
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:11 -0400
Received: from thunix.net ([188.40.73.235]:45982 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2h0C-0004Qn-6f
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:28:40 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 8390733400B3; Sun, 11 Jul 2021 17:28:39 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:28:39 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 02/20] gnu: Add rust-case
Message-ID: <YOtih25uNiuysGYq@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 5ed2ff470e..c5605fa82c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -7255,6 +7255,28 @@ supported by Cargo.")
 used in argon2rs' bench suite.")
     (license license:wtfpl2)))
 
+(define-public rust-case-0.1
+  (package
+    (name "rust-case")
+    (version "0.1.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "case" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "1hgc6fdg01qfh0qx5c50n717vh0xqvrlvxix8ksng5p291mid2z8"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page
+      "https://github.com/SkylerLipthay/case")
+    (synopsis "Set of letter case string helpers")
+    (description
+      "This package provides a set of letter case string helpers")
+    (license license:expat)))
+
 (define-public rust-cassowary-0.3
   (package
     (name "rust-cassowary")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at 49451 <at> debbugs.gnu.org:


Received: (at 49451) by debbugs.gnu.org; 12 Jul 2021 04:28:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 12 00:28:10 2021
Received: from localhost ([127.0.0.1]:36213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2nY9-0001po-R9
	for submit <at> debbugs.gnu.org; Mon, 12 Jul 2021 00:28:10 -0400
Received: from thunix.net ([188.40.73.235]:45456 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m2gy7-0004Nh-Gh
 for 49451 <at> debbugs.gnu.org; Sun, 11 Jul 2021 17:26:31 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 9A44C33400B3; Sun, 11 Jul 2021 17:26:29 -0400 (EDT)
Date: Sun, 11 Jul 2021 17:26:29 -0400
From: southerntofu <southerntofu@HIDDEN>
To: 49451 <at> debbugs.gnu.org
Subject: [PATCH 01/20] gnu: rust-blake2: Update to 0.9
Message-ID: <YOtiBSriYMVZ5WYS@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49451
X-Mailman-Approved-At: Mon, 12 Jul 2021 00:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/crates-io.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d53f8fb525..5ed2ff470e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -5207,6 +5207,33 @@ streams in big-endian and little-endian formats.")
      "This package provides a crate for manipulating memory, bit by bit.")
     (license license:expat)))
 
+(define-public rust-blake2-0.9
+  (package
+    (name "rust-blake2")
+    (version "0.9.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "blake2" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "1x3qz692hfrxgw6cd94iiid6iqal2dwj6zv5137swpgg4l17598h"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-crypto-mac" ,rust-crypto-mac-0.8)
+         ("rust-digest" ,rust-digest-0.9)
+         ("rust-opaque-debug" ,rust-opaque-debug-0.3))))
+    (home-page
+      "https://github.com/RustCrypto/hashes")
+    (synopsis "BLAKE2 hash functions")
+    (description "BLAKE2 hash functions")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-blake2-0.8
   (package
     (name "rust-blake2")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jul 2021 06:28:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 07 02:28:58 2021
Received: from localhost ([127.0.0.1]:50625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m113J-0008RJ-D5
	for submit <at> debbugs.gnu.org; Wed, 07 Jul 2021 02:28:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:48678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <southerntofu@HIDDEN>) id 1m0rUd-00081f-LB
 for submit <at> debbugs.gnu.org; Tue, 06 Jul 2021 16:16:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46586)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <southerntofu@HIDDEN>)
 id 1m0rUd-00037b-FJ
 for guix-patches@HIDDEN; Tue, 06 Jul 2021 16:16:31 -0400
Received: from thunix.net ([2a01:4f8:221:907::10]:35210)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <southerntofu@HIDDEN>)
 id 1m0rUc-0000H5-03
 for guix-patches@HIDDEN; Tue, 06 Jul 2021 16:16:31 -0400
Received: by thunix.net (Postfix, from userid 1080)
 id 8004133400AF; Tue,  6 Jul 2021 16:16:24 -0400 (EDT)
Date: Tue, 6 Jul 2021 16:16:24 -0400
From: southerntofu@HIDDEN
To: guix-patches@HIDDEN
Subject: Adding package aparte (rust XMPP TUI client)
Message-ID: <YOS6GMXJLemJzwIQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Received-SPF: pass client-ip=2a01:4f8:221:907::10;
 envelope-from=southerntofu@HIDDEN; helo=thunix.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 07 Jul 2021 02:28:55 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello,

In this threads I will submit patches to include package aparte, from 0.2.0 release on Github. There's a few missing crates that will be added to gnu/packages/crates-io.scm, and the aparte package is added to gnu/packages/messaging.scm as suggested in the #guix IRC channel.

This is my first package for guix so don't hesitate to tell me if i'm doing something wrong. Also, i noticed some packages in crates-io.scm are not ordered alphabetically. I tried not to mess the order even more but did not reorder packages which were already misordered.

southerntofu




Acknowledgement sent to southerntofu@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#49451; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 31 Aug 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.